<?php

require_once('../data/conexion.local.php');
require_once('../data/conexion.server.php');

class Alumno {

    var $connL;
    var $connM;

    function Alumno() {
        $this->connL = new BaseDatosLocal();
        $this->connM = new BaseDatosMoodle();
    }

    function ListarReg() {
        if ($this->connL->Conectar()) {
            $sql = "SELECT * FROM tbl_region ";
            $sql.= "ORDER BY orden ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function ListarProv($reg) {
        if ($this->connL->Conectar()) {
            $sql = "SELECT * FROM tbl_provincia ";
            $sql.= "WHERE region = '" . $reg . "' ";
            $sql.= "ORDER BY texto ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function ListarCom($reg, $prov) {
        if ($this->connL->Conectar()) {
            $sql = "SELECT * FROM tbl_comuna ";
            $sql.= "WHERE region = '" . $reg . "' AND provincia = '" . $prov . "' ";
            $sql.= "ORDER BY texto ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function TotalLogAcceso($userid) {
        if ($this->connL->Conectar()) {
            $sql = "SELECT count(*) as total FROM vco_log_accesos ";
            $sql.= "WHERE userid = '" . $userid . "' and std<>0 ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function DatosAlumnoForm($rut) {
        if ($this->connL->Conectar()) {
            $sql = "SELECT a.*, ";
            
            $sql.= "(select num from tbl_comuna where num = a.com_alumno) as com, ";
            $sql.= "(select provincia from tbl_comuna where num = a.com_alumno) as prov, ";
            $sql.= "(select region from tbl_comuna where num = a.com_alumno) as reg, ";
            
            $sql.= "(select num from tbl_comuna where num = a.com_laboral) as com_lab, ";
            $sql.= "(select provincia from tbl_comuna where num = a.com_laboral) as prov_lab, ";
            $sql.= "(select region from tbl_comuna where num = a.com_laboral) as reg_lab ";
            
            $sql.= "FROM vco_alumno as a ";
            $sql.= "WHERE a.rut_alumno = '" . $rut . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function UpdateAlumnoForm($param) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "update vco_alumno set ";
            $sql.= "rut_alumno = '" . $param["rut_alumno"] . "', ";
            $sql.= "dv_alumno = '" . $param["dv_alumno"] . "', ";
            $sql.= "nom_alumno = UPPER('" . $param["nom_alumno"] . "'), ";
            $sql.= "ape_alumno = UPPER('" . $param["ape_alumno"] . "'), ";
            $sql.= "email_alumno = '" . $param["email_alumno"] . "', ";
            $sql.= "fono_alumno = '" . $param["fono_alumno"] . "', ";
            $sql.= "cargo_alumno = '" . $param["cargo_alumno"] . "', ";
            $sql.= "fono_fijo = '" . $param["fono_fijo"] . "', ";
            $sql.= "fono_movil = '" . $param["fono_movil"] . "', ";
            $sql.= "fono_laboral = '" . $param["fono_laboral"] . "', ";
            $sql.= "fecha_nacimiento = '" . $param["fecha_nacimiento"] . "', ";
            $sql.= "genero = '" . $param["genero"] . "', ";
            $sql.= "profesion = '" . $param["profesion"] . "', ";
            $sql.= "perfil_ocupacional = '" . $param["perfil_ocupacional"] . "', ";
            $sql.= "nom_jefatura = '" . $param["nom_jefatura"] . "', ";
            $sql.= "ape_jefatura = '" . $param["ape_jefatura"] . "', ";
            $sql.= "fono_jefatura = '" . $param["fono_jefatura"] . "', ";
            $sql.= "movil_jefatura = '" . $param["movil_jefatura"] . "', ";
            $sql.= "email_jefatura = '" . $param["email_jefatura"] . "', ";
            $sql.= "dir_alumno = '" . $param["dir_alumno"] . "', ";
            $sql.= "com_alumno = '" . $param["com_alumno"] . "', ";
            $sql.= "dir_laboral = '" . $param["dir_laboral"] . "', ";
            $sql.= "com_laboral = '" . $param["com_laboral"] . "' ";
            $sql.= "where alumnoid = '" . $param["alumnoid"] . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "update vco_user set ";
            $sql.="firstname = UPPER('" . $param["nom_alumno"] . "'), ";
            $sql.="lastname = UPPER('" . $param["ape_alumno"] . "'), ";
            $sql.="email = '" . $param["email_alumno"] . "' ";
            $sql.="where username = '" . $param["rut_alumno"] . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "update " . $dbm . ".mdl_user set ";
            $sql.="firstname = UPPER('" . utf8_decode($param["nom_alumno"]) . "'), ";
            $sql.="lastname = UPPER('" . utf8_decode($param["ape_alumno"]) . "'), ";
            $sql.="email = '" . $param["email_alumno"] . "' ";
            $sql.="where username = '" . $param["rut_alumno"] . "' ";
            $this->connL->Ejecutar($sql);
            
            $sql = "update vco_log_accesos set ";
            $sql.="std = '1' ";
            $sql.="where userid = '" . $param["userid"] . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "select * from vco_alumno where alumnoid = '" . $param["alumnoid"] . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

}
?>

