<?php

include_once('../data/conexion.local.php');
include_once('../data/conexion.server.php');

class Course {

    var $connL;
    var $connM;

    function Course() {
        $this->connL = new BaseDatosLocal();
        $this->connM = new BaseDatosMoodle();
    }

    function Category_List() {
        $dbm = $this->connM->database;
        if ($this->connL->conectar() == true) {

            $sql = "INSERT INTO vco_course_categories ";
            $sql .= "SELECT ca.id, ca.name, ca.description, ca.coursecount, ca.depth, ca.path ";
            $sql .= "FROM " . $dbm . ".mdl_course_categories AS ca ";
            $sql .= "WHERE ca.coursecount>0 ";
            $sql .= "AND NOT(ca.id = ANY(SELECT categoryid FROM vco_course_categories)) ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT * FROM vco_course_categories ";
            $sql .= "WHERE coursecount > 0 AND path LIKE '%/1/%' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function ListarDscCursos($cat, $patron) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {

            $sql = "DELETE FROM vco_course ";
            $sql .= "WHERE NOT(courseid = ANY(SELECT id FROM " . $dbm . ".mdl_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "DELETE FROM vco_dsc_cursos ";
            $sql .= "WHERE NOT(courseid = ANY(SELECT id FROM " . $dbm . ".mdl_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT c.*, cu.shortname, cu.fullname ";
            $sql .= "FROM vco_dsc_cursos AS c, " . $dbm . ".mdl_course AS cu  ";
            $sql .= "WHERE c.courseid = cu.id ";

            if ($cat != "0") {
                $sql .= "AND cu.category = '" . $cat . "%' ";
            }

            if ($patron != "") {
                $sql .= "AND cu.fullname like '%" . $patron . "%' ";
            }

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function Course_List($categoryid, $patron) {
        $dbm = $this->connM->database;
        if ($this->connL->conectar() == true) {

            $sql = "DELETE FROM vco_course ";
            $sql .= "WHERE NOT(courseid = ANY(SELECT id FROM " . $dbm . ".mdl_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "DELETE FROM vco_dsc_cursos ";
            $sql .= "WHERE NOT(courseid = ANY(SELECT id FROM " . $dbm . ".mdl_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "INSERT INTO vco_course ";
            $sql .= "SELECT cu.id, cu.category, cu.fullname, cu.shortname, cu.summary ";
            $sql .= "FROM " . $dbm . ".mdl_course AS cu ";
            $sql .= "WHERE cu.category<>0 ";
            $sql .= "AND NOT(cu.id = ANY(SELECT courseid FROM vco_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "UPDATE vco_course AS cu, " . $dbm . ".mdl_course AS c ";
            $sql .= "SET cu.categoryid = c.category, cu.fullname=c.fullname, cu.shortname=c.shortname ";
            $sql .= "WHERE cu.courseid = c.id  ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT cu.*, ca.name, r.ruta, ";
            $sql .= "(SELECT DATE_FORMAT(FROM_UNIXTIME(c.startdate), '%d-%m-%Y') FROM " . $dbm . ".mdl_course as c where c.id = cu.courseid ) as fecha_inicio ";
            $sql .= "FROM vco_course AS cu, vco_course_categories AS ca, vco_ruta AS r ";
            $sql .= "WHERE cu.categoryid = ca.categoryid ";
            $sql .= "AND ca.categoryid <> 0 AND r.tipo = 'REDIRECT' ";

            if ($categoryid != 0) {
                $sql .= "AND cu.categoryid = '" . $categoryid . "' ";
            }

            if ($patron != "") {
                $sql .= "AND cu.fullname LIKE '%" . $patron . "%' ";
            }

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function Courses_User($username) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $ano = date("Y");
            $mes = date("m");
            $dia = date("j");
            $dia = substr("000" . $dia, -2);
            $fecha = $ano . "-" . $mes . "-" . $dia;

            $sql = "SELECT  DATE_FORMAT(FROM_UNIXTIME(cu.startdate), '%d-%m-%Y') as fecha_inicio, ";
            $sql .= "DATE_FORMAT(lcu.fecha_termino, '%d-%m-%Y') as fecha_termino, ";
            $sql .= "CASE ";
            $sql .= "WHEN FROM_UNIXTIME(cu.startdate) < NOW() THEN '1' ";
            $sql .= "ELSE '0' ";
            $sql .= "END AS tipo, ";

            // $sql .= "IFNULL((SELECT 1 FROM " . $dbl . ".vco_alumno_sence WHERE userid=u.id AND courseid = cu.id LIMIT 1), 0) AS isSence, ";

            // $sql .= "IFNULL((SELECT 1 FROM " . $dbl . ".vco_dsc_cursos WHERE courseid = cu.id AND fecha_termino < '" . $fecha . "' LIMIT 1), 0) AS isClose, ";

            $sql .= "cu.id, ca.id AS category, cu.shortname, cu.fullname,  ";
            $sql .= "ca.name AS categoryname, u.id as userid, u.lastname, u.firstname, u.suspended ";
            $sql .= "FROM mdl_user AS u, mdl_course AS cu, " . $dbl . ".vco_dsc_cursos AS lcu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND lcu.courseid = cu.id ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(3, 4, 5) AND u.username='$username' ";
            $sql .= "ORDER BY cu.category, cu.fullname ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function Courses_UserId($userid) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT DISTINCT ";
            $sql .= "cu.id, ca.id AS category, cu.shortname, cu.fullname,  ";
            $sql .= "ca.name AS categoryname, u.id as userid, u.lastname, u.firstname, u.suspended, ";
            $sql .= "(select count(*) from " . $dbl . ".vco_alumno_sence where userid = u.id and courseid = cu.id) AS sence ";
            $sql .= "FROM mdl_user AS u, mdl_course AS cu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(3, 4, 5) AND u.id = '$userid' ";
            $sql .= "ORDER BY cu.category, cu.fullname ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function ListarPotenciales($courseid, $patron) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT u.* FROM mdl_user as u ";
            $sql .= "WHERE NOT(u.id =any(SELECT ura.userid FROM mdl_role_assignments AS ura, mdl_context AS co ";
            $sql .= "WHERE co.id=ura.contextid  AND ura.roleid IN(5) AND co.instanceid = '" . $courseid . "')) ";
            $sql .= "AND NOT(u.username in('admin', 'guest')) ";
            $sql .= "AND u.deleted = 0 ";
            $sql .= "AND u.suspended = 0 ";

            $sql .= "AND u.id = ANY(select userid from " . $dbl . ".vco_perfil_user where perfilid=5) ";

            if ($patron != "") {
                $sql .= "AND (UPPER(u.lastname) LIKE UPPER('%" . $patron . "%') ";
                $sql .= "OR u.username like '" . $patron . "%') ";
            }

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function ListarPotencialesJson($courseid, $patron) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT u.lastname as patron FROM mdl_user as u ";
            $sql .= "WHERE NOT(u.id =any(SELECT ura.userid FROM mdl_role_assignments AS ura, mdl_context AS co ";
            $sql .= "WHERE co.id=ura.contextid  AND ura.roleid IN(5) AND co.instanceid = '" . $courseid . "')) ";
            $sql .= "AND NOT(u.username in('admin', 'guest')) ";
            $sql .= "AND u.deleted = 0 ";
            $sql .= "AND u.suspended = 0 ";

            $sql .= "AND u.id = ANY(select userid from " . $dbl . ".vco_perfil_user where perfilid=5) ";

            $sql .= "UNION ";

            $sql .= "SELECT u.username as patron FROM mdl_user as u ";
            $sql .= "WHERE NOT(u.id =any(SELECT ura.userid FROM mdl_role_assignments AS ura, mdl_context AS co ";
            $sql .= "WHERE co.id=ura.contextid  AND ura.roleid IN(5) AND co.instanceid = '" . $courseid . "')) ";
            $sql .= "AND NOT(u.username in('admin', 'guest')) ";
            $sql .= "AND u.deleted = 0 ";
            $sql .= "AND u.suspended = 0 ";

            $sql .= "AND u.id = ANY(select userid from " . $dbl . ".vco_perfil_user where perfilid=5) ";

            $sql .= "ORDER BY patron ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function ListarMatriculados($courseid, $patron) {
        if ($this->connM->Conectar() == true) {

            $sql = "SELECT DISTINCT ";
            $sql .= "cu.id as courseid, ca.id AS category, cu.shortname, cu.fullname, ca.name AS categoryname, ";
            $sql .= "u.id as userid, u.username, u.lastname, u.firstname, u.email ";

            $sql .= "FROM mdl_user AS u, mdl_course AS cu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(5) ";

            if ($courseid != 0) {
                $sql .= "AND cu.id='" . $courseid . "' ";
            }

            if ($patron != "") {
                $sql .= "AND (UPPER(u.lastname) LIKE UPPER('%" . $patron . "%') ";
                $sql .= "OR u.username like '" . $patron . "%')";
            }
            $sql .= "ORDER BY cu.category, cu.fullname ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function ListarMatriculadosJson($courseid, $patron) {
        if ($this->connM->Conectar() == true) {

            $sql = "SELECT DISTINCT u.lastname as patron ";
            $sql .= "FROM mdl_user AS u, mdl_course AS cu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(5) ";

            if ($courseid != 0) {
                $sql .= "AND cu.id = '" . $courseid . "' ";
            }

            if ($patron != "") {
                $sql .= "AND UPPER(u.lastname) LIKE UPPER('%" . $patron . "%') ";
            }

            $sql .= "UNION ";

            $sql .= "SELECT DISTINCT u.username as patron ";
            $sql .= "FROM mdl_user AS u, mdl_course AS cu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(5) ";

            if ($courseid != 0) {
                $sql .= "AND cu.id = '" . $courseid . "' ";
            }

            if ($patron != "") {
                $sql .= "AND u.username LIKE '" . $patron . "%' ";
            }

            $sql .= "ORDER BY patron ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function ListarAlumnosAll($courseid, $patron) {
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT DISTINCT u.lastname as patron ";
            $sql .= "FROM mdl_user AS u  ";
            $sql .= "WHERE 1=1  ";
            if ($patron != "") {
                $sql .= "AND UPPER(um.lastname) like UPPER('%" . $patron . "%') ";
            }

            $sql .= "UNION ";

            $sql .= "SELECT DISTINCT u.username as patron ";
            $sql .= "FROM mdl_user AS u  ";
            $sql .= "WHERE 1=1  ";
            if ($patron != "") {
                $sql .= "AND um.lastname like '" . $patron . "%' ";
            }

            $sql .= "ORDER BY patron ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function TiempoMoodle($courseid) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {

            $ano = date("Y");
            $mes = date("m");
            $dia = date("d");
            $fecha = $ano . "-" . $mes . "-" . $dia;

            $sql = "DELETE FROM vco_tiempo_moodle ";
            $sql .= "WHERE courseid = '" . $courseid . "' ";
            // $sql .= "AND fecha >= '" . $fecha . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "INSERT INTO vco_tiempo_moodle ";
            $sql .= "SELECT DISTINCT l.userid, l.courseid, DATE(FROM_UNIXTIME(l.timecreated)), HOUR(FROM_UNIXTIME(l.timecreated)), 0 , 0 ";
            $sql .= "FROM " . $dbm . ".mdl_logstore_standard_log AS l ";
            $sql .= "WHERE l.courseid = '" . $courseid . "' ";
            // $sql .= "AND FROM_UNIXTIME(l.timecreated) >= '" . $fecha . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "UPDATE vco_tiempo_moodle AS t ";
            $sql .= "SET time_ini = (SELECT TO_SECONDS(FROM_UNIXTIME(l.timecreated)) FROM " . $dbm . ".mdl_logstore_standard_log AS l WHERE l.userid=t.userid AND courseid=t.courseid AND DATE(FROM_UNIXTIME(timecreated))=t.fecha AND HOUR(FROM_UNIXTIME(l.timecreated))=t.hora ORDER BY l.timecreated ASC LIMIT 1) ";
            $sql .= "WHERE t.courseid = '" . $courseid . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "UPDATE vco_tiempo_moodle AS t ";
            $sql .= "SET time_fin = (SELECT TO_SECONDS(FROM_UNIXTIME(l.timecreated)) FROM " . $dbm . ".mdl_logstore_standard_log AS l WHERE l.userid=t.userid AND courseid=t.courseid AND DATE(FROM_UNIXTIME(timecreated))=t.fecha AND HOUR(FROM_UNIXTIME(l.timecreated))=t.hora ORDER BY l.timecreated DESC LIMIT 1) ";
            $sql .= "WHERE t.courseid = '" . $courseid . "' ";
            $this->connL->Ejecutar($sql);
        }
    }

    function Alumnos_Courses($categoryid, $courseid, $patron) {

        $dbl = $this->connL->database;

        if ($this->connM->Conectar() == true) {
            $sql = "SELECT DISTINCT ";
            $sql .= "cu.id as courseid, ca.id AS category, cu.shortname, cu.fullname, ca.name AS categoryname, ";
            $sql .= "u.id as userid, u.username, u.lastname, u.firstname, u.email, was.userid has_sence, ";

            $sql .= "(SELECT DATE_FORMAT(FROM_UNIXTIME(l.timecreated), '%d-%m-%Y') FROM mdl_logstore_standard_log AS l WHERE l.userid = u.id AND l.courseid = cu.id ORDER BY l.timecreated ASC LIMIT 1) AS primer, ";
            $sql .= "(SELECT DATE_FORMAT(FROM_UNIXTIME(l.timecreated), '%d-%m-%Y') FROM mdl_logstore_standard_log AS l WHERE l.userid = u.id AND l.courseid = cu.id ORDER BY l.timecreated DESC LIMIT 1) AS ultimo, ";
            $sql .= "(SELECT COUNT(*) FROM mdl_logstore_standard_log AS l WHERE l.userid = u.id AND l.courseid = cu.id) AS num, ";

            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_config_nota WHERE courseid = cu.id and ponderacion>0 ) as numnota, ";

            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_all_notas WHERE userid = u.id AND courseid = cu.id) as numnotaalu, ";

            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 1 LIMIT 1 ) as not1, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 2 LIMIT 1 ) as not2, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 3 LIMIT 1 ) as not3, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 4 LIMIT 1 ) as not4, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 5 LIMIT 1 ) as not5, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 6 LIMIT 1 ) as not6, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 7 LIMIT 1 ) as not7, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 8 LIMIT 1 ) as not8, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 9 LIMIT 1 ) as not9, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 10 LIMIT 1 ) as not10, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 11 LIMIT 1 ) as not11, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 12 LIMIT 1 ) as not12, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 13 LIMIT 1 ) as not13, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 14 LIMIT 1 ) as not14, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 15 LIMIT 1 ) as not15, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 16 LIMIT 1 ) as not16, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 17 LIMIT 1 ) as not17, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 18 LIMIT 1 ) as not18, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 19 LIMIT 1 ) as not19, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 20 LIMIT 1 ) as not20, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 21 LIMIT 1 ) as not21, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 22 LIMIT 1 ) as not22, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 23 LIMIT 1 ) as not23, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 24 LIMIT 1 ) as not24, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 25 LIMIT 1 ) as not25, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 26 LIMIT 1 ) as not26, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 27 LIMIT 1 ) as not27, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 28 LIMIT 1 ) as not28, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 29 LIMIT 1 ) as not29, ";
            $sql .= "(SELECT n.nota FROM " . $dbl . ".vco_config_nota AS c, " . $dbl . ".vco_all_notas AS n WHERE c.elementoid=n.quizid AND n.userid = u.id AND n.courseid = cu.id AND c.numnota = 30 LIMIT 1 ) as not30, ";


            // diploma 
            $sql .= "(SELECT tipodiplo FROM " . $dbl . ".vco_dsc_cursos WHERE courseid = cu.id) as tipodiplo, ";
            $sql .= "(SELECT porcentaje FROM " . $dbl . ".vco_dsc_cursos WHERE courseid = cu.id) as porcentaje, ";
            $sql .= "(SELECT nota FROM " . $dbl . ".vco_dsc_cursos WHERE courseid = cu.id) as notamin, ";

            $sql .= "(SELECT nota FROM " . $dbl . ".vco_notas_finales where userid = u.id AND courseid = cu.id ) AS nota, ";

            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_recursos WHERE module<>18 and courseid = cu.id) as trec, ";
            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_recursos as r, mdl_scorm_scoes as ss WHERE r.module=18 and r.courseid = cu.id and r.instance = ss.scorm and ss.parent <> '/') as tscorm, ";

            $sql .= "(SELECT rut_alumno FROM " . $dbl . ".vco_alumno WHERE rut_alumno = u.username) as rut_alu, ";
            $sql .= "(SELECT dv_alumno FROM " . $dbl . ".vco_alumno WHERE rut_alumno = u.username) as dv_alu, ";

            $sql .= "((SELECT COUNT(DISTINCT r.courseid, r.modulecourse) ";
            $sql .= "FROM " . $dbl . ".vco_recursos AS r, mdl_logstore_standard_log AS l ";
            $sql .= "WHERE r.courseid = l.courseid AND r.module <> 18 ";
            $sql .= "AND r.modulecourse = l.contextinstanceid ";
            $sql .= "AND l.courseid = cu.id AND l.userid = u.id ) + (SELECT COUNT(DISTINCT r.courseid, r.modulecourse, l.objectid) ";
            $sql .= "FROM " . $dbl . ".vco_recursos AS r, mdl_scorm_scoes AS sc, mdl_logstore_standard_log AS l ";
            $sql .= "WHERE r.courseid = l.courseid ";
            $sql .= "AND r.modulecourse = l.contextinstanceid ";
            $sql .= "AND r.instance = sc.scorm AND sc.id = l.objectid ";
            $sql .= "AND l.courseid = cu.id AND l.userid = u.id )) as vrec, ";

            //$sql .= "(SELECT ROUND(SUM((t.time_fin-t.time_ini)/60),0) ";
            $sql .= "(SELECT ROUND(SUM((t.time_fin-t.time_ini)/1),0) ";
            $sql .= "FROM " . $dbl . ".vco_tiempo_moodle AS t ";
            $sql .= "WHERE t.userid=u.id AND t.courseid=cu.id) as tiempomoodle, ";

            $sql .= "(SELECT DATE_FORMAT(fecha, '%d-%m-%Y') FROM " . $dbl . ".vco_tiempo_sence WHERE userid=u.id and curso = cu.id order by fecha desc limit 1) as ultimosence, ";

            $sql .= "(SELECT SUM(minutos) FROM " . $dbl . ".vco_tiempo_sence WHERE userid=u.id and curso = cu.id and actividad=2) as summinutos, ";

            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_seguimiento WHERE userid=u.id and courseid = cu.id) as numseg, ";

            $sql .= "(select DATE_FORMAT(fecha_inicio, '%d-%m-%Y') from " . $dbl . ".vco_dsc_cursos where courseid = cu.id) as ficur, ";
            $sql .= "(select DATE_FORMAT(fecha_termino, '%d-%m-%Y') from " . $dbl . ".vco_dsc_cursos where courseid = cu.id) as ftcur ";


            $sql .= "FROM mdl_user AS u LEFT JOIN webacademia.vco_alumno_sence AS was ON u.id = was.userid AND was.courseid = '" . $courseid . "' , ";
            $sql .= "mdl_course AS cu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(5) ";

            if ($categoryid != 0) {
                $sql .= "AND ca.id = '" . $categoryid . "' ";
            }

            if ($courseid != 0) {
                $sql .= "AND cu.id='" . $courseid . "' ";
            }

            if ($patron != "") {
                $sql .= "AND (u.lastname LIKE '%" . $patron . "%' ";
                $sql .= "OR u.username like '" . $patron . "%') ";
            }

            $sql .= "ORDER BY cu.category, cu.fullname, u.lastname, u.firstname ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function getPrimerAcceso($userid, $courseid) {
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT ";
            $sql .= "cu.shortname, cu.fullname, u.firstname, u.lastname, l.userid, l.courseid, l.action, l.target, ";
            $sql .= "FROM_UNIXTIME(l.timecreated) AS response ";
            $sql .= "FROM mdl_logstore_standard_log AS l, mdl_course AS cu, mdl_user AS u, mdl_course_categories AS ca ";
            $sql .= "WHERE l.userid=u.id ";
            $sql .= "AND l.courseid=cu.id ";
            $sql .= "AND cu.category=ca.id ";
            $sql .= "AND ca.coursecount>0 ";
            $sql .= "AND u.id = '" . $userid . "' AND cu.id= '" . $courseid . "' ";
            $sql .= "ORDER BY response ASC ";
            $sql .= "LIMIT 1 ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function getUltimoAcceso($userid, $courseid) {
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT ";
            $sql .= "cu.shortname, cu.fullname, u.firstname, u.lastname, l.userid, l.courseid, l.action, l.target, ";
            $sql .= "FROM_UNIXTIME(l.timecreated) AS response ";
            $sql .= "FROM mdl_logstore_standard_log AS l, mdl_course AS cu, mdl_user AS u, mdl_course_categories AS ca ";
            $sql .= "WHERE l.userid=u.id ";
            $sql .= "AND l.courseid=cu.id ";
            $sql .= "AND cu.category=ca.id ";
            $sql .= "AND ca.coursecount>0 ";
            $sql .= "AND u.id = '" . $userid . "' AND cu.id= '" . $courseid . "' ";
            $sql .= "ORDER BY response DESC ";
            $sql .= "LIMIT 1 ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function getLogAlumnoCurso($userid, $courseid) {
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT ";
            $sql .= "cu.shortname, cu.fullname, u.firstname, u.lastname, l.userid, l.courseid, COUNT(*) AS response ";
            $sql .= "FROM mdl_logstore_standard_log AS l, mdl_course AS cu, mdl_user AS u, mdl_course_categories AS ca ";
            $sql .= "WHERE l.userid=u.id ";
            $sql .= "AND l.courseid=cu.id ";
            $sql .= "AND cu.category=ca.id ";
            $sql .= "AND ca.coursecount>0 ";
            $sql .= "AND u.id = '" . $userid . "' AND cu.id= '" . $courseid . "' ";
            $sql .= "GROUP BY l.userid, l.courseid ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function getDetalleLogAlumnoCurso($userid, $courseid) {
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT ";
            $sql .= "cu.shortname, cu.fullname, u.firstname, u.lastname, l.userid, l.courseid, l.action, l.target, ";
            $sql .= "FROM_UNIXTIME(l.timecreated) AS fecha ";
            $sql .= "FROM mdl_logstore_standard_log AS l, mdl_course AS cu, mdl_user AS u, mdl_course_categories AS ca ";
            $sql .= "WHERE l.userid=u.id ";
            $sql .= "AND l.courseid=cu.id ";
            $sql .= "AND cu.category=ca.id ";
            $sql .= "AND ca.coursecount>0 ";
            $sql .= "AND u.id = '" . $userid . "' AND cu.id= '" . $courseid . "' ";
            $sql .= "ORDER BY fecha ASC ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function LlenarCursos() {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "INSERT INTO vco_dsc_cursos (courseid, objetivos, contenidos, dirigido, textocertificado, numhoras, fecha_inicio, fecha_termino) ";
            $sql .= "SELECT id, 'Objetivos:', 'Contenidos:', 'Dirigido:', fullname, 0, now(), now()  ";
            $sql .= "FROM " . $dbm . ".mdl_course  ";
            $sql .= "WHERE NOT(id=ANY(SELECT courseid FROM vco_dsc_cursos)) ";
            $sql .= "AND category=ANY(SELECT id FROM " . $dbm . ".mdl_course_categories WHERE coursecount>0) ";
            $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
        }
    }

    // presenciales
    function ListarPreCursos($patron) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT cu.* ";
            $sql .= "FROM vco_cursos_pre AS cu  ";
            $sql .= "WHERE cu.courseid > 0 ";

            if ($patron != "") {
                $sql .= "AND cu.fullname like '%" . $patron . "%' ";
            }
            $sql .= "LIMIT 100 ";

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function getDscCursos($courseid) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT d.*, cu.shortname, cu.fullname ";
            $sql .= "FROM vco_dsc_cursos as d, " . $dbm . ".mdl_course as cu ";
            $sql .= "WHERE courseid = '" . $courseid . "' and d.courseid = cu.id ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function getPreCursos($courseid) {
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT * ";
            $sql .= "FROM vco_cursos_pre  ";
            $sql .= "WHERE courseid = '" . $courseid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function UpdateDscCursos($courseid, $obje, $cont, $diri, $cert, $horas, $feci, $fect, $tipodiplo, $porcentaje, $nota, $tiempo) {
        if ($this->connL->Conectar() == true) {
            $sql = "UPDATE vco_dsc_cursos SET ";
            $sql .= "objetivos = '" . $obje . "', ";
            $sql .= "contenidos = '" . $cont . "', ";
            $sql .= "dirigido = '" . $diri . "', ";
            
            /*
            $sql .= "textocertificado = '" . $cert . "', ";
            $sql .= "numhoras = '" . $horas . "', ";

            $sql .= "tipodiplo = '" . $tipodiplo . "', ";

            $sql .= "porcentaje = '" . $porcentaje . "', ";
            $sql .= "nota = '" . $nota . "', ";
            $sql .= "tiemposence = '" . $tiempo . "', ";
             */

            $sql .= "fecha_inicio = '" . $feci . "', ";
            $sql .= "fecha_termino = '" . $fect . "' ";

            $sql .= "WHERE courseid = '" . $courseid . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT * ";
            $sql .= "FROM vco_dsc_cursos  ";
            $sql .= "WHERE courseid = '" . $courseid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function UpdatePreCursos($courseid, $shortname, $fullname, $cert, $horas, $feci, $fect) {
        if ($this->connL->Conectar() == true) {
            $sql = "UPDATE vco_cursos_pre SET ";
            $sql .= "shortname = '" . $shortname . "', ";
            $sql .= "fullname = '" . $fullname . "', ";
            $sql .= "textocertificado = '" . $cert . "', ";
            $sql .= "numhoras = '" . $horas . "', ";

            $sql .= "fecha_inicio = '" . $feci . "', ";
            $sql .= "fecha_termino = '" . $fect . "' ";

            $sql .= "WHERE courseid = '" . $courseid . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT * ";
            $sql .= "FROM vco_cursos_pre  ";
            $sql .= "WHERE courseid = '" . $courseid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function InsertPreCursos($shortname, $fullname, $cert, $horas, $feci, $fect) {
        if ($this->connL->Conectar() == true) {
            $sql = "INSERT INTO vco_cursos_pre (shortname, fullname, textocertificado, numhoras, fecha_inicio, fecha_termino) ";
            $sql .= "VALUES('" . $shortname . "', '" . $fullname . "', '" . $cert . "', '" . $horas . "', '" . $feci . "', '" . $fect . "') ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function UpdateDiploPreCurso($cur, $mod, $pdf) {
        if ($this->connL->Conectar() == true) {
            $sql = "select now() as hoy ";
            if ($mod == "E") {
                $sql = "update vco_dsc_cursos set ";
                $sql .= "diploma = '" . $pdf . "' ";
                $sql .= "where courseid = '" . $cur . "' ";
            } elseif ($mod == "P") {
                $sql = "update vco_cursos_pre set ";
                $sql .= "diploma = '" . $pdf . "' ";
                $sql .= "where courseid = '" . $cur . "' ";
            }
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function GrabaFolio($userid, $courseid, $mod, $tipo) {
        if ($this->connL->Conectar() == true) {
            $sql = "INSERT INTO vco_folio (userid, courseid, modalidad, tipo, fecha) ";
            $sql .= "VALUES('" . $userid . "', '" . $courseid . "', '" . $mod . "', '" . $tipo . "', NOW()) ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT LAST_INSERT_ID() AS codigo ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function TraeFolio($userid, $courseid, $mod, $tipo) {
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT * FROM vco_folio ";
            $sql .= "WHERE userid = '" . $userid . "' ";
            $sql .= "AND courseid = '" . $courseid . "' ";
            $sql .= "AND modalidad = '" . $mod . "' ";
            $sql .= "AND tipo = '" . $tipo . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function TraeDatosFolio($folio) {
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT u.userid, u.firstname, u.lastname, ";
            $sql .= "cu.courseid, cu.textocertificado, f.folio, f.fecha ";
            $sql .= "FROM vco_folio AS f, vco_user AS u, vco_dsc_cursos AS cu ";
            $sql .= "WHERE f.userid = u.userid ";
            $sql .= "AND f.courseid = cu.courseid ";
            $sql .= "AND f.modalidad = 'E' AND f.folio = '" . $folio . "' ";

            $sql .= "UNION ";

            $sql .= "SELECT u.userid, u.firstname, u.lastname, ";
            $sql .= "cu.courseid, cu.textocertificado, f.folio, f.fecha ";
            $sql .= "FROM vco_folio AS f, vco_user AS u, vco_cursos_pre AS cu ";
            $sql .= "WHERE f.userid = u.userid ";
            $sql .= "AND f.courseid = cu.courseid ";
            $sql .= "AND f.modalidad= 'P' AND f.folio = '" . $folio . "' ";

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function TraeDiplomasRut($rut) {
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT ";
            $sql .= "f.folio, f.modalidad, f.tipo, f.fecha, u.firstname, u.lastname, cu.textocertificado ";
            $sql .= "FROM vco_folio AS f, vco_user AS u, vco_dsc_cursos AS cu ";
            $sql .= "WHERE f.userid = u.userid AND f.courseid=cu.courseid ";
            $sql .= "AND u.username = '" . $rut . "' ";

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    // recursos
    function getRecursosCursos($courseid) {
        $sql_g = '';
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT m.* FROM mdl_modules AS m WHERE NOT(m.id IN(12)) ORDER BY m.id ";
            $rs = $this->connM->Ejecutar($sql);
            $num = 0;
            while ($fila = mysqli_fetch_assoc($rs)) {
                if ($num == 0) {
                    $sql_g = "";
                } else {
                    $sql_g .= "UNION  ";
                }
                $sql_g .= "SELECT cs.name as tema, cm.course, cm.module, cm.id AS modulecourse, ";
                $sql_g .= "cm.instance, r.id AS idr, r.name as dsc, ";
                $sql_g .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_recursos WHERE courseid = cm.course AND modulecourse = cm.id ) as chk ";
                $sql_g .= "FROM mdl_" . $fila["name"] . " AS r, mdl_course_modules AS cm, mdl_course_sections AS cs  ";
                $sql_g .= "WHERE r.id=cm.instance AND r.course=cm.course  ";
                $sql_g .= "AND cm.module IN(" . $fila["id"] . ") AND cm.course = '" . $courseid . "' ";

                $sql_g .= "AND cm.course = cs.course ";
                $sql_g .= "AND cm.section = cs.id  ";

                $sql_g .= "AND cs.name IS NOT NULL ";
                $sql_g .= "AND cs.name <> '' ";

                $num++;
            }

            $sql_g .= "ORDER BY tema ";

            $rs = $this->connM->Ejecutar($sql_g);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function InsertRecursoObl($cur, $modulecourse) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "DELETE FROM vco_recursos WHERE courseid = '" . $cur . "' AND modulecourse = '" . $modulecourse . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "INSERT INTO vco_recursos ";
            $sql .= "SELECT cm.course, cm.module, cm.id AS modulecourse, cm.instance, cm.instance AS idr, '' as dsc ";
            $sql .= "FROM " . $dbm . ".mdl_course_modules AS cm  ";
            $sql .= "WHERE cm.course = '" . $cur . "' ";
            $sql .= "AND cm.id = '" . $modulecourse . "' ";

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function DeleteRecursoObl($cur, $modulecourse) {
        if ($this->connL->Conectar() == true) {
            $sql = "DELETE FROM vco_quiz_requisitos WHERE courseid = '" . $cur . "' AND modulecourse = '" . $modulecourse . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "DELETE FROM vco_recursos WHERE courseid = '" . $cur . "' AND modulecourse = '" . $modulecourse . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function getQuizCursos($courseid) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT cm.course, cm.module, cm.id AS modulecourse, ";
            $sql .= "cm.instance, r.id AS idr, r.name as dsc,  ";
            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_quiz_requisitos WHERE quizid = r.id AND courseid = cm.course ) AS num ";
            $sql .= "FROM mdl_quiz AS r, mdl_course_modules AS cm  ";
            $sql .= "WHERE r.id=cm.instance AND r.course=cm.course  ";
            $sql .= "AND cm.module IN(16) AND cm.course = '" . $courseid . "' ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    // 20161221
    function getQuizCursosAlum($cur, $user) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "SELECT u.lastname, u.firstname, cm.course, cm.module, cm.id AS modulecourse, ";
            $sql .= "cm.instance, r.id AS idr, r.name as dsc, cu.fullname, ";
            $sql .= "(SELECT nota FROM " . $dbl . ".vco_all_notas WHERE userid = '" . $user . "' AND quizid = r.id AND courseid = cm.course ) AS nota ";
            $sql .= "FROM mdl_quiz AS r, mdl_course_modules AS cm, mdl_user AS u, mdl_course AS cu  ";
            $sql .= "WHERE r.id=cm.instance AND r.course=cm.course  ";
            $sql .= "AND cm.module IN(16) AND cm.course = '" . $cur . "' ";
            $sql .= "AND cm.course = cu.id ";
            $sql .= "AND cu.id = '" . $cur . "' ";
            $sql .= "AND u.id = '" . $user . "' ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function getReqQuiz($quizid, $courseid) {
        $sql_g = '';
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {

            $sql = "SELECT m.* FROM mdl_modules AS m WHERE NOT(m.id IN(12, 16)) ORDER BY m.id ";
            $rs = $this->connM->Ejecutar($sql);
            $num = 0;
            while ($fila = mysqli_fetch_assoc($rs)) {
                if ($num == 0) {
                    $sql_g = "";
                } else {
                    $sql_g .= "UNION  ";
                }
                $sql_g .= "SELECT cm.course, cm.module, cm.id AS modulecourse, ";
                $sql_g .= "cm.instance, r.id AS idr, r.name as dsc, ";

                $sql_g .= "(SELECT name FROM mdl_quiz WHERE id = '" . $quizid . "') as namequiz, ";

                $sql_g .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_quiz_requisitos WHERE quizid = '" . $quizid . "' AND courseid = cm.course AND modulecourse = cm.id ) as chk ";

                $sql_g .= "FROM mdl_" . $fila["name"] . " AS r, mdl_course_modules AS cm, " . $dbl . ".vco_recursos AS rec  ";
                $sql_g .= "WHERE r.id=cm.instance AND r.course=cm.course  ";
                $sql_g .= "AND cm.course = rec.courseid AND cm.id = rec.modulecourse ";
                $sql_g .= "AND cm.module IN(" . $fila["id"] . ") AND cm.course = '" . $courseid . "' ";
                $num++;
            }

            $rs = $this->connM->Ejecutar($sql_g);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function InsertReqQuiz($quizid, $courseid, $modulecourse) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "DELETE FROM vco_quiz_requisitos WHERE quizid = '" . $quizid . "' AND courseid = '" . $courseid . "' AND modulecourse = '" . $modulecourse . "' ";
            $this->connL->Ejecutar($sql);

            $sql = "INSERT INTO vco_quiz_requisitos ";
            $sql .= "SELECT '" . $quizid . "', cm.course, cm.module, cm.id AS modulecourse, cm.instance ";
            $sql .= "FROM " . $dbm . ".mdl_course_modules AS cm  ";
            $sql .= "WHERE cm.course = '" . $courseid . "' ";
            $sql .= "AND cm.id = '" . $modulecourse . "' ";

            echo $sql;
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function DeleteReqQuiz($quizid, $courseid, $modulecourse) {
        if ($this->connL->Conectar() == true) {
            $sql = "DELETE FROM vco_quiz_requisitos ";
            $sql .= "WHERE quizid = '" . $quizid . "' AND courseid = '" . $courseid . "' AND modulecourse = '" . $modulecourse . "' ";
            echo $sql;
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    // 20160801
    // Empresa
    function ListarCategoriasEmp($rut_emp) {
        $dbm = $this->connM->database;
        if ($this->connL->conectar() == true) {

            $sql = "INSERT INTO vco_course_categories ";
            $sql .= "SELECT ca.id, ca.name, ca.description, ca.coursecount, ca.depth, ca.path ";
            $sql .= "FROM " . $dbm . ".mdl_course_categories AS ca ";
            $sql .= "WHERE ca.coursecount>0 ";
            $sql .= "AND NOT(ca.id = ANY(SELECT categoryid FROM vco_course_categories)) ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT * FROM vco_course_categories ";
            $sql .= "WHERE coursecount > 0 AND path LIKE '%/1/%' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function Alumnos_Courses_Emp($categoryid, $courseid, $patron, $rut_emp) {

        $dbl = $this->connL->database;

        if ($this->connM->Conectar() == true) {
            $sql = "SELECT DISTINCT ";
            $sql .= "cu.id as courseid, ca.id AS category, cu.shortname, cu.fullname, ca.name AS categoryname, ";
            $sql .= "u.id as userid, u.username, u.lastname, u.firstname, u.email, u.suspended, ";

            $sql .= "(SELECT FROM_UNIXTIME(l.timecreated) FROM mdl_logstore_standard_log AS l WHERE l.userid = u.id AND l.courseid = cu.id ORDER BY l.timecreated ASC LIMIT 1) AS primer, ";
            $sql .= "(SELECT FROM_UNIXTIME(l.timecreated) FROM mdl_logstore_standard_log AS l WHERE l.userid = u.id AND l.courseid = cu.id ORDER BY l.timecreated DESC LIMIT 1) AS ultimo, ";
            $sql .= "(SELECT COUNT(*) FROM mdl_logstore_standard_log AS l WHERE l.userid = u.id AND l.courseid = cu.id) AS num, ";

            $sql .= "(SELECT nota FROM " . $dbl . ".vco_notas_finales where userid = u.id AND courseid = cu.id ) AS nota, ";

            $sql .= "(SELECT COUNT(*) FROM " . $dbl . ".vco_recursos WHERE courseid = cu.id) as trec, ";

            $sql .= "(SELECT COUNT(DISTINCT r.courseid, r.modulecourse) ";
            $sql .= "FROM " . $dbl . ".vco_recursos AS r, mdl_logstore_standard_log AS l ";
            $sql .= "WHERE r.courseid = l.courseid ";
            $sql .= "AND r.modulecourse = l.contextinstanceid ";
            $sql .= "AND l.courseid = cu.id AND l.userid = u.id ) as vrec ";

            $sql .= "FROM mdl_user AS u, mdl_course AS cu, mdl_course_categories AS ca, mdl_role_assignments AS ura, mdl_context AS co  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(5) ";

            if ($categoryid != 0) {
                $sql .= "AND ca.id='" . $categoryid . "' ";
            }

            if ($courseid != 0) {
                $sql .= "AND cu.id='" . $courseid . "' ";
            }

            $sql .= "AND u.username = ANY(SELECT a.rut_alumno ";
            $sql .= "FROM " . $dbl . ".vco_alumno AS a, " . $dbl . ".vco_empresa AS e ";
            $sql .= "WHERE e.empresaid = a.empresaid AND rut_empresa = '" . $rut_emp . "') ";

            if ($patron != "") {
                $sql .= "AND u.lastname LIKE '%" . $patron . "%' ";
            }

            $sql .= "ORDER BY cu.category, cu.fullname ";

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function jSonAlumnosEmp($rut_emp) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {
            $sql = "select distinct u.lastname from mdl_user as u ";
            $sql .= "where u.username = any(select rut_alumno ";
            $sql .= "from " . $dbl . ".vco_alumno as a, " . $dbl . ".vco_empresa as e ";
            $sql .= "where e.rut_empresa = '" . $rut_emp . "' and a.empresaid = e.empresaid) ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function AllAlumnosCurso($courseid) {
        $dbl = $this->connL->database;

        if ($this->connM->Conectar() == true) {
            $sql = "SELECT DISTINCT u.id as userid, cu.category, cu.fullname, a.*,  ";

            $sql .= "(SELECT nota FROM " . $dbl . ".vco_notas_finales where userid = u.id AND courseid = cu.id ) AS nota, ";

            $sql .= "(select password from " . $dbl . ".vco_user where userid = u.id limit 1) as clave_alumno, ";
            $sql .= "(select clavealumno from " . $dbl . ".vco_tiempo_sence where userid = u.id limit 1) as clave_sence, ";

            $sql .= "(select texto from " . $dbl . ".tbl_comuna where num = a.com_alumno limit 1) as comuna_alu, ";
            $sql .= "(select texto from " . $dbl . ".tbl_comuna where num = a.com_laboral limit 1) as comuna_lab ";

            $sql .= "FROM mdl_user AS u, mdl_course AS cu, mdl_course_categories AS ca, ";
            $sql .= "mdl_role_assignments AS ura, mdl_context AS co, " . $dbl . ".vco_alumno as a  ";
            $sql .= "WHERE cu.category=ca.id AND co.instanceid=cu.id  ";
            $sql .= "AND ura.userid=u.id AND co.id=ura.contextid  ";
            $sql .= "AND ura.roleid in(5) ";
            $sql .= "AND u.username = a.rut_alumno ";
            $sql .= "AND cu.id='" . $courseid . "' ";

            $sql .= "ORDER BY cu.category, cu.fullname, u.lastname, u.firstname ";

            // echo $sql;

            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    // log recursos 20161220
    function LogRecursosCursos($courseid, $userid) {
        $sql_g = '';
        $dbl = $this->connL->database;
        if ($this->connM->Conectar() == true) {

            // $sql = "SELECT m.* FROM mdl_modules AS m ORDER BY m.id ";
            $sql = "SELECT m.* FROM mdl_modules AS m WHERE NOT(m.id IN(12)) ORDER BY m.id ";
            $result = $this->connM->Ejecutar($sql);
            $num = 0;
            while ($fila = mysqli_fetch_assoc($result)) {
                if ($num == 0) {
                    $sql_g = "";
                } else {
                    $sql_g .= "UNION  ";
                }
                $sql_g .= "SELECT cs.id AS sectionid, cs.name AS tema, cm.id AS moduleid, cu.id AS courseid, cu.shortname, ";
                $sql_g .= "cu.fullname, r.name AS recurso, cm.module, u.username, u.lastname, u.firstname, cm.section, ";
                $sql_g .= "(SELECT IFNULL(DATE_FORMAT(MIN(FROM_UNIXTIME(l.timecreated)), '%d-%m-%Y'), '-') FROM mdl_logstore_standard_log AS l WHERE cm.id = l.contextinstanceid AND l.userid = u.id AND l.courseid=cu.id) AS primer, ";
                $sql_g .= "(SELECT IFNULL(DATE_FORMAT(MAX(FROM_UNIXTIME(l.timecreated)), '%d-%m-%Y'), '-') FROM mdl_logstore_standard_log AS l WHERE cm.id = l.contextinstanceid AND l.userid = u.id AND l.courseid=cu.id) AS ultimo, ";

                $sql_g .= "(SELECT codigo FROM " . $dbl . ".vco_alumno_sence WHERE userid = u.id AND courseid = cu.id LIMIT 1) AS codigo, ";
                $sql_g .= "(SELECT SUM(minutos) FROM " . $dbl . ".vco_tiempo_sence WHERE userid = u.id AND courseid = cu.id LIMIT 1) AS tiemposence, ";

                $sql_g .= "(SELECT ROUND(SUM((t.time_fin-t.time_ini)/60),0) ";
                $sql_g .= "FROM " . $dbl . ".vco_tiempo_moodle AS t ";
                $sql_g .= "WHERE t.userid=u.id AND t.courseid=cu.id) as tiempomoodle ";

                $sql_g .= "FROM mdl_" . $fila["name"] . " AS r, mdl_course_modules AS cm, mdl_course_sections AS cs, mdl_course AS cu, mdl_user AS u  ";
                $sql_g .= "WHERE cm.instance = r.id ";
                $sql_g .= "AND cs.course = cu.id ";
                $sql_g .= "AND cm.course = r.course ";
                $sql_g .= "AND cm.section = cs.id ";
                $sql_g .= "AND cm.course = cu.id ";

                $sql_g .= "AND cs.name IS NOT NULL ";
                $sql_g .= "AND cs.name <> '' ";

                $sql_g .= "AND cm.module IN(" . $fila["id"] . ") ";
                $sql_g .= "AND u.id = '" . $userid . "' ";
                $sql_g .= "AND cu.id = '" . $courseid . "' ";
                $num++;
            }
            $sql_g .= "ORDER BY courseid, tema, recurso ";

            $rs = $this->connM->Ejecutar($sql_g);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function deleteNotasLog($tipo, $user, $cur) {
        if ($this->connM->Conectar() == true) {
            if ($tipo == "1") {
                $sql = "DELETE FROM mdl_quiz_attempts ";
                $sql .= "WHERE userid = '" . $user . "' ";
                $sql .= "AND quiz = ANY(SELECT q.id FROM mdl_quiz AS q WHERE q.course = '" . $cur . "') ";
                $this->connM->Ejecutar($sql);

                $sql = "DELETE FROM mdl_grade_grades ";
                $sql .= "WHERE userid = '" . $user . "' ";
                $sql .= "AND itemid = ANY(SELECT i.id FROM mdl_grade_items AS i WHERE i.courseid = '" . $cur . "') ";
                $this->connM->Ejecutar($sql);
            } elseif ($tipo == "2") {
                $sql = "DELETE FROM mdl_logstore_standard_log ";
                $sql .= "WHERE userid = '" . $user . "' AND courseid = '" . $cur . "' ";
                $this->connM->Ejecutar($sql);
            }
            $this->connM->Cerrar();
        }
    }

    // 20161221
    function deleteLog($id, $user) {
        if ($this->connM->Conectar() == true) {
            $sql = "DELETE FROM mdl_logstore_standard_log ";
            $sql .= "WHERE userid = '" . $user . "' ";
            $sql .= "AND contextinstanceid = '" . $id . "' ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    // 20161221
    function deleteNota($id, $user) {
        if ($this->connM->Conectar() == true) {
            $sql = "DELETE FROM mdl_grade_grades ";
            $sql .= "WHERE userid = '" . $user . "' ";
            $sql .= "AND itemid IN(SELECT gi.id AS itemid FROM mdl_quiz AS q, mdl_grade_items AS gi ";
            $sql .= "WHERE q.id = '" . $id . "' ";
            $sql .= "AND q.id = gi.iteminstance) ";
            $this->connM->Ejecutar($sql);

            $sql = "DELETE  FROM mdl_quiz_attempts ";
            $sql .= "WHERE quiz = '" . $id . "' ";
            $sql .= "AND userid = '" . $user . "' ";
            $this->connM->Ejecutar($sql);

            $sql = "SELECT * FROM mdl_quiz_attempts ";
            $sql .= "WHERE quiz = '" . $id . "' ";
            $sql .= "AND userid = '" . $user . "' ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function Category_List_Emp($rut_emp) {
        $dbm = $this->connM->database;
        if ($this->connL->conectar() == true) {

            $sql = "INSERT INTO vco_course_categories ";
            $sql .= "SELECT ca.id, ca.name, ca.description, ca.coursecount, ca.depth, ca.path ";
            $sql .= "FROM " . $dbm . ".mdl_course_categories AS ca ";
            $sql .= "WHERE ca.coursecount>0 ";
            $sql .= "AND NOT(ca.id = ANY(SELECT categoryid FROM vco_course_categories)) ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT * FROM vco_course_categories ";
            $sql .= "WHERE coursecount > 0 AND path LIKE '%/1/%' ";
            $sql .= "AND categoryid =ANY(SELECT cu.category ";
            $sql .= "FROM " . $dbm . ".mdl_user AS u, " . $dbm . ".mdl_course AS cu, " . $dbm . ".mdl_role_assignments AS ura, " . $dbm . ".mdl_context AS co ";
            $sql .= "WHERE co.instanceid=cu.id AND ura.userid=u.id AND co.id=ura.contextid ";

            $sql .= "AND u.username = ANY(select a.rut_alumno FROM vco_alumno AS a, vco_empresa AS e WHERE a.empresaid = e.empresaid AND e.rut_empresa = '" . $rut_emp . "' ) ";

            $sql .= "AND ura.roleid IN(5)) ";

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function Course_List_Emp($categoryid, $patron, $rut_emp) {
        $dbm = $this->connM->database;
        if ($this->connL->conectar() == true) {

            $sql = "DELETE FROM vco_course ";
            $sql .= "WHERE NOT(courseid = ANY(SELECT id FROM " . $dbm . ".mdl_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "DELETE FROM vco_dsc_cursos ";
            $sql .= "WHERE NOT(courseid = ANY(SELECT id FROM " . $dbm . ".mdl_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "INSERT INTO vco_course ";
            $sql .= "SELECT cu.id, cu.category, cu.fullname, cu.shortname, cu.summary ";
            $sql .= "FROM " . $dbm . ".mdl_course AS cu ";
            $sql .= "WHERE cu.category<>0 ";
            $sql .= "AND NOT(cu.id = ANY(SELECT courseid FROM vco_course)) ";
            $this->connL->Ejecutar($sql);

            $sql = "UPDATE vco_course AS cu, " . $dbm . ".mdl_course AS c ";
            $sql .= "SET cu.categoryid = c.category, cu.fullname=c.fullname, cu.shortname=c.shortname ";
            $sql .= "WHERE cu.courseid = c.id  ";
            $this->connL->Ejecutar($sql);

            $sql = "SELECT cu.*, ca.name, r.ruta, ";
            $sql .= "(SELECT DATE_FORMAT(FROM_UNIXTIME(c.startdate), '%d-%m-%Y') FROM " . $dbm . ".mdl_course as c where c.id = cu.courseid ) as fecha_inicio ";
            $sql .= "FROM vco_course AS cu, vco_course_categories AS ca, vco_ruta AS r ";
            $sql .= "WHERE cu.categoryid = ca.categoryid ";
            $sql .= "AND ca.categoryid <> 0 AND r.tipo = 'REDIRECT' ";

            $sql .= "AND cu.courseid =ANY(SELECT cur.id ";
            $sql .= "FROM " . $dbm . ".mdl_user AS u, " . $dbm . ".mdl_course AS cur, " . $dbm . ".mdl_role_assignments AS ura, " . $dbm . ".mdl_context AS co ";
            $sql .= "WHERE co.instanceid=cur.id AND ura.userid=u.id AND co.id=ura.contextid ";

            $sql .= "AND u.username = ANY(select a.rut_alumno FROM vco_alumno AS a, vco_empresa AS e WHERE a.empresaid = e.empresaid AND e.rut_empresa = '" . $rut_emp . "' ) ";

            $sql .= "AND ura.roleid IN(5)) ";

            if ($categoryid != 0) {
                $sql .= "AND cu.categoryid = '" . $categoryid . "' ";
            }

            if ($patron != "") {
                $sql .= "AND cu.fullname LIKE '%" . $patron . "%' ";
            }

            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

}

?>