<?php

require_once('../data/conexion.local.php');
require_once('../data/conexion.server.php');

class Notas {

    var $connL;
    var $connM;

    function Notas() {
        $this->connL = new BaseDatosLocal();
        $this->connM = new BaseDatosMoodle();
    }

    function NotasCourse($courseid, $ano, $mes) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar()) {
            $sql = "SELECT  ";
            $sql .= "cuu.codpestud, cuu.codramo, cuu.ramoequiv, a.nomcarrera, ";
            $sql .= "a.codcli, ";

            $sql .= "CONVERT(CAST(CONVERT(a.paterno USING latin1) AS BINARY) USING utf8) as paterno, ";
            $sql .= "CONVERT(CAST(CONVERT(a.materno USING latin1) AS BINARY) USING utf8) as materno, ";
            $sql .= "CONVERT(CAST(CONVERT(a.nombre USING latin1) AS BINARY) USING utf8) as nombre, ";

            $sql .= "a.rut, a.dig, ";
            $sql .= "gg.userid, u.username, u.lastname, u.firstname,  ";
            $sql .= "gi.courseid, cu.fullname AS asignatura,  ";
            $sql .= "gc.fullname, gi.itemname,  ";
            $sql .= "ROUND(IFNULL(gg.finalgrade, 0), 1) AS NotaFinal,  ";
            $sql .= "DAY(FROM_UNIXTIME(gg.timemodified)) AS dia, ";
            $sql .= "MONTH(FROM_UNIXTIME(gg.timemodified)) AS mes, ";
            $sql .= "YEAR(FROM_UNIXTIME(gg.timemodified)) AS ano, ";
            $sql .= "FROM_UNIXTIME(gg.timemodified)  AS fechaMod  ";
            $sql .= "FROM mdl_grade_grades AS gg  ";
            $sql .= "JOIN mdl_grade_items AS gi ON gg.itemid = gi.id  ";
            $sql .= "JOIN mdl_grade_categories AS gc ON gi.iteminstance = gc.id  ";
            $sql .= "JOIN mdl_user AS u ON u.id = gg.userid  ";
            $sql .= "JOIN mdl_course AS cu ON cu.id = gi.courseid AND cu.id = gc.courseid  ";

            $sql .= "JOIN " . $dbl . ".vco_alumnos_umas AS a ON a.username = u.username ";
            $sql .= "JOIN " . $dbl . ".vco_course_umas AS cuu ON cuu.courseid = cu.id AND cuu.codpestud = a.codpestud ";

            $sql .= "WHERE gc.parent IS NULL  ";
            $sql .= "AND gi.itemtype = 'course'  ";
            $sql .= "AND u.suspended = 0 AND u.deleted = 0 ";
            $sql .= "AND cu.id = '" . $courseid . "' ";

            if ($mes != '0') {
                $sql .= "AND MONTH(FROM_UNIXTIME(gg.timemodified)) = '" . $mes . "' ";
            }

            if ($ano != '0') {
                $sql .= "AND YEAR(FROM_UNIXTIME(gg.timemodified)) = '" . $ano . "' ";
            }


            $sql .= "ORDER BY u.lastname, u.firstname ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function insert_ra_ramos($codramo, $ramo, $hor_teo, $credito) {
        if ($this->connL->Conectar()) {
            $sql = "INSERT INTO vco_ra_ramos (codramo, ramo, hor_teo, credito)  ";
            $sql .= "VALUES('" . $codramo . "', '" . $ramo . "', '" . $hor_teo . "', '" . $credito . "') ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function insert_alumnos_vigentes($codcli, $username, $rut, $dig, $paterno, $materno, $nombre, $codpestud, $anocrecion, $codcarr, $estacad, $nomcarrera) {
        if ($this->connL->Conectar()) {
            $sql = "INSERT INTO vco_alumnos_umas (";
            $sql .= "codcli, ";
            $sql .= "username, ";
            $sql .= "rut, ";
            $sql .= "dig, paterno, ";
            $sql .= "materno, ";
            $sql .= "nombre, ";
            $sql .= "codpestud, ";
            $sql .= "anocreacion, ";
            $sql .= "codcarr, ";
            $sql .= "nomcarrera, ";
            $sql .= "estacad) ";
            $sql .= "VALUES(";
            $sql .= "'" . $codcli . "', ";
            $sql .= "'" . $username . "', ";
            $sql .= "'" . $rut . "', ";
            $sql .= "'" . $dig . "', ";
            $sql .= "'" . $paterno . "', ";
            $sql .= "'" . $materno . "', ";
            $sql .= "'" . $nombre . "', ";
            $sql .= "'" . $codpestud . "', ";
            $sql .= "'" . $anocrecion . "', ";
            $sql .= "'" . $codcarr . "', ";
            $sql .= "'" . $nomcarrera . "', ";
            $sql .= "'" . $estacad . "') ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

// 20180710
    function AnoNotasCourse($courseid) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar()) {
            $sql = "SELECT DISTINCT ";
            $sql .= "YEAR(FROM_UNIXTIME(gg.timemodified)) AS ano ";
            $sql .= "FROM mdl_grade_grades AS gg  ";
            $sql .= "JOIN mdl_grade_items AS gi ON gg.itemid = gi.id  ";
            $sql .= "JOIN mdl_grade_categories AS gc ON gi.iteminstance = gc.id  ";
            $sql .= "JOIN mdl_user AS u ON u.id = gg.userid  ";
            $sql .= "JOIN mdl_course AS cu ON cu.id = gi.courseid AND cu.id = gc.courseid  ";

            $sql .= "JOIN " . $dbl . ".vco_alumnos_umas AS a ON a.username = u.username ";
            $sql .= "JOIN " . $dbl . ".vco_course_umas AS cuu ON cuu.courseid = cu.id AND cuu.codpestud = a.codpestud ";

            $sql .= "WHERE gc.parent IS NULL  ";
            $sql .= "AND gi.itemtype = 'course'  ";
            $sql .= "AND u.suspended = 0 AND u.deleted = 0 ";
            $sql .= "AND cu.id = '" . $courseid . "' ";
            $sql .= "ORDER BY ano ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function MesNotasCourse($courseid, $ano) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar()) {
            $sql = "SELECT DISTINCT ";
            $sql .= "YEAR(FROM_UNIXTIME(gg.timemodified)) AS ano, ";
            $sql .= "MONTH(FROM_UNIXTIME(gg.timemodified)) AS mes ";
            $sql .= "FROM mdl_grade_grades AS gg  ";
            $sql .= "JOIN mdl_grade_items AS gi ON gg.itemid = gi.id  ";
            $sql .= "JOIN mdl_grade_categories AS gc ON gi.iteminstance = gc.id  ";
            $sql .= "JOIN mdl_user AS u ON u.id = gg.userid  ";
            $sql .= "JOIN mdl_course AS cu ON cu.id = gi.courseid AND cu.id = gc.courseid  ";

            $sql .= "JOIN " . $dbl . ".vco_alumnos_umas AS a ON a.username = u.username ";
            $sql .= "JOIN " . $dbl . ".vco_course_umas AS cuu ON cuu.courseid = cu.id AND cuu.codpestud = a.codpestud ";

            $sql .= "WHERE gc.parent IS NULL  ";
            $sql .= "AND gi.itemtype = 'course'  ";
            $sql .= "AND u.suspended = 0 AND u.deleted = 0 ";
            $sql .= "AND cu.id = '" . $courseid . "' ";
            $sql .= "AND YEAR(FROM_UNIXTIME(gg.timemodified)) = '" . $ano . "' ";
            $sql .= "ORDER BY ano, mes ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

    function NotasAlumno($rut) {
        $dbl = $this->connL->database;
        if ($this->connM->Conectar()) {
            $sql = "SELECT  ";
            $sql .= "cuu.codpestud, cuu.codramo, cuu.ramoequiv, a.nomcarrera, ";
            $sql .= "a.codcli, a.paterno, a.materno, a.nombre, a.rut, a.dig, ";
            $sql .= "gg.userid, u.username, u.lastname, u.firstname,  ";
            $sql .= "gi.courseid, cu.fullname AS asignatura,  ";
            $sql .= "gc.fullname, gi.itemname,  ";
            $sql .= "ROUND(IFNULL(gg.finalgrade, 0), 1) AS NotaFinal,  ";
            $sql .= "DAY(FROM_UNIXTIME(gg.timemodified)) AS dia, ";
            $sql .= "MONTH(FROM_UNIXTIME(gg.timemodified)) AS mes, ";
            $sql .= "YEAR(FROM_UNIXTIME(gg.timemodified)) AS ano, ";
            $sql .= "FROM_UNIXTIME(gg.timemodified)  AS fechaMod  ";
            $sql .= "FROM mdl_grade_grades AS gg  ";
            $sql .= "JOIN mdl_grade_items AS gi ON gg.itemid = gi.id  ";
            $sql .= "JOIN mdl_grade_categories AS gc ON gi.iteminstance = gc.id  ";
            $sql .= "JOIN mdl_user AS u ON u.id = gg.userid  ";
            $sql .= "JOIN mdl_course AS cu ON cu.id = gi.courseid AND cu.id = gc.courseid  ";

            $sql .= "JOIN " . $dbl . ".vco_alumnos_umas AS a ON a.username = u.username ";
            $sql .= "JOIN " . $dbl . ".vco_course_umas AS cuu ON cuu.courseid = cu.id AND cuu.codpestud = a.codpestud ";

            $sql .= "WHERE gc.parent IS NULL  ";
            $sql .= "AND gi.itemtype = 'course'  ";
            $sql .= "AND u.suspended = 0 AND u.deleted = 0 ";
            $sql .= "AND a.rut = '" . $rut . "' ";
            $sql .= "ORDER BY u.lastname, u.firstname ";
            $rs = $this->connM->Ejecutar($sql);
            $this->connM->Cerrar();
            return $rs;
        }
    }

}
