<?php

include_once('../data/conexion.local.php');
include_once('../data/conexion.server.php');

class Seguimiento {

    var $connL;
    var $connM;

    function Seguimiento() {
        $this->connL = new BaseDatosLocal();
        $this->connM = new BaseDatosMoodle();
    }

    function ListarTipoSeg() {
        if ($this->connL->Conectar() == true) {
            $sql = "select * from vco_tipo_seg ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function BuscarTipoSeg($tipoid) {
        if ($this->connL->Conectar() == true) {
            $sql = "select * from vco_tipo_seg ";
            $sql.= "where tipoid = '" . $tipoid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function InsertTipoSeg($nombre) {
        if ($this->connL->Conectar() == true) {
            $sql = "insert into vco_tipo_seg (nombre) ";
            $sql.= "values('" . $nombre . "') ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function UpdateTipoSeg($tipoid, $nombre) {
        if ($this->connL->Conectar() == true) {
            $sql = "update vco_tipo_seg set ";
            $sql.= "nombre = '" . $nombre . "' ";
            $sql.= "where tipoid = '" . $tipoid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function DeleteTipoSeg($tipoid) {
        if ($this->connL->Conectar() == true) {
            $sql = "delete from vco_tipo_seg where tipoid = '" . $tipoid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function SeguimientoUsuarioCurso($userid, $courseid) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "select t.nombre as segnombre, s.*, u.firstname, u.lastname, u.email, cu.shortname, cu.fullname ";
            $sql.= "from vco_tipo_seg as t, vco_seguimiento as s, " . $dbm . ".mdl_user as u, " . $dbm . ".mdl_course as cu ";
            $sql.= "where s.userid = u.id and s.courseid = cu.id ";
            $sql.= "and t.tipoid = s.tiposeg ";
            $sql.= "and s.userid = '" . $userid . "' ";
            $sql.= "and s.courseid = '" . $courseid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function InsertSeguimiento($userid, $courseid, $fecha, $tiposeg, $texto, $user_upd) {
        if ($this->connL->Conectar() == true) {
            $sql = "insert into vco_seguimiento (userid, courseid, fecha, tiposeg, texto, user_upd, fecha_upd) ";
            $sql.= "values('" . $userid . "', '" . $courseid . "', '" . $fecha . "', '" . $tiposeg . "',  '" . $texto . "', '" . $user_upd . "', NOW()) ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }
    
    
    function UpdateSeguimiento($segid, $fecha, $tiposeg, $texto, $user_upd) {
        if ($this->connL->Conectar() == true) {
            $sql = "update vco_seguimiento set ";
            $sql.= "fecha = '" . $fecha . "', ";
            $sql.= "tiposeg = '" . $tiposeg . "', ";
            $sql.= "texto = '" . $texto . "', ";
            $sql.= "user_upd = '" . $user_upd . "', ";
            $sql.= "fecha_upd = NOW() ";
            $sql.= "where segid = '".$segid."' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }
    
    function BuscarSeguimiento($segid) {
        if ($this->connL->Conectar() == true) {
            $sql = "select * from vco_seguimiento ";
            $sql.= "where segid = '" . $segid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function DeleteSeguimiento($segid) {
        if ($this->connL->Conectar() == true) {
            $sql = "delete from vco_seguimiento ";
            $sql.= "where segid = '" . $segid . "' ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

    function ListarSegCursos($courseid) {
        $dbm = $this->connM->database;
        if ($this->connL->Conectar() == true) {
            $sql = "SELECT u.username, u.lastname, u.firstname, u.email, ";
            
            $sql.= "(SELECT rut_alumno FROM vco_alumno WHERE rut_alumno = u.username) as rut_alu, ";
            $sql.= "(SELECT dv_alumno FROM vco_alumno WHERE rut_alumno = u.username) as dv_alu, ";
            
            $sql.= "cu.shortname, cu.fullname, t.nombre, s.*, DATE_FORMAT(s.fecha, '%d-%m-%Y') AS fechaT ";
            $sql.= "FROM vco_seguimiento AS s, vco_tipo_seg AS t, " . $dbm . ".mdl_user AS u, " . $dbm . ".mdl_course AS cu  ";
            $sql.= "WHERE s.tiposeg = t.tipoid  ";
            $sql.= "AND s.userid = u.id  ";
            $sql.= "AND s.courseid = cu.id  ";
            $sql.= "AND cu.id = '" . $courseid . "' ";
            $sql.= "ORDER BY u.lastname, u.firstname, s.fecha ";
            $rs = $this->connL->Ejecutar($sql);
            $this->connL->Cerrar();
            return $rs;
        }
    }

}
?>

