<?php

require_once('../class/user.class.php');
require_once('../class/course.class.php');
require_once('../class/ruta.class.php');
require_once('../class/seguimiento.class.php');

class Tools {

    var $user;
    var $course;
    var $menu;
    var $nota;
    var $ruta;
    var $config;
    var $emp;
    var $seg;
    var $sence;

    function Tools() {
        $this->user = new User();
        $this->course = new Course();
        $this->ruta = new Ruta();
        $this->seg = new Seguimiento();
    }

    function ListarUsuarios() {
        return $this->user->User_List();
    }

    function ListarCategorias() {
        return $this->course->Category_List();
    }

    function ListarCursos($categoryid, $patron) {
        return $this->course->Course_List($categoryid, $patron);
    }

    function ListarMenu($perfilid) {
        return $this->menu->Menu_List($perfilid);
    }

    function get_userid($username) {
        $userid = $this->user->getUserId($username);
        return $userid;
    }

    function CursoTitulo($courseid) {
        return $this->course->getDscCursos($courseid);
    }

    function getDatosUsuario($userid) {
        $rs = $this->user->getDatosUsuario($userid);
        return $rs;
    }

    // cursos alumno
    function MisCursos($username) {
        return $this->course->Courses_User($username);
    }

    function MisCursosForID($userid) {
        return $this->course->Courses_UserId($userid);
    }

    function ListarAlumnosCursos($categoryid, $courseid, $patron) {
        if ($courseid != "0") {
            $this->course->TiempoMoodle($courseid);
            $this->nota->RecalcularNotaCurso($courseid);
        }
        return $this->course->Alumnos_Courses($categoryid, $courseid, $patron);
    }

    function ListarAlumnosCursosNotas($categoryid, $courseid, $patron) {
        if ($courseid != "0") {
            $this->course->TiempoMoodle($courseid);
            $this->nota->RecalcularNotaCurso($courseid);
        }
        return $this->course->Alumnos_Courses($categoryid, $courseid, $patron);
    }

    function ListarAlumnosCursosSeg($categoryid, $courseid, $patron) {
        return $this->course->Alumnos_Courses($categoryid, $courseid, $patron);
    }

    function getPrimerAcceso($userid, $courseid) {
        return $this->course->getPrimerAcceso($userid, $courseid);
    }

    function getUltimoAcceso($userid, $courseid) {
        return $this->course->getUltimoAcceso($userid, $courseid);
    }

    function getLogAlumnoCurso($userid, $courseid) {
        return $this->course->getLogAlumnoCurso($userid, $courseid);
    }

    function getDetalleLogAlumnoCurso($userid, $courseid) {
        return $this->course->getDetalleLogAlumnoCurso($userid, $courseid);
    }

    function getNotasCursos($courseid) {
        $this->config->putConfigNota();
        $this->nota->updateGradeGradesCurso($courseid);
        $this->nota->updateQuizAttemptCurso($courseid);
        $this->nota->updateAllNotasCurso($courseid);
        return $this->nota->getNotasFinales($courseid);
    }

    function getNotasAlumnos($userid) {
        $this->config->putConfigNota();
        $this->nota->updateGradeGradesAlumno($userid);
        $this->nota->updateQuizAttemptAlumno($userid);
        $this->nota->updateAllNotasAlumno($userid);
        return $this->nota->getNotasFinalesAlumnos($userid);
    }

    function getAlumnos($patron) {
        $this->user->getUserNot();
        return $this->user->User_List($patron);
    }

    function getPreAlumnos($patron) {
        return $this->user->getPreAlumnos($patron);
    }
    
    function getPreAlumnosJson() {
        return $this->user->getPreAlumnosJson();
    }

    function getPreAlumnosCursos($cur, $patron) {
        return $this->user->getPreAlumnosCursos($cur, $patron);
    }

    function MisPreCursos($username) {
        $userid = $this->user->getUserId($username);
        return $this->user->MisPreCursos($userid);
    }

    function DeletePreAlum($userid, $courseid) {
        return $this->user->DeletePreAlum($userid, $courseid);
    }

    function pre_inscription($user, $cur, $num, $not, $asi) {
        return $this->user->pre_inscription($user, $cur, $num, $not, $asi);
    }

    function Trae_notas_alum_pre($user, $cur) {
        return $this->user->Trae_notas_alum_pre($user, $cur);
    }

    function SavePreAlum($user, $cur, $not, $asi) {
        return $this->user->SavePreAlum($user, $cur, $not, $asi);
    }

    function getRuta($tipo) {
        return $this->ruta->getRuta($tipo);
    }

    function ListarDscCursos($cat, $patron) {
        $this->course->LlenarCursos();
        return $this->course->ListarDscCursos($cat, $patron);
    }

    function ListarPreCursos($patron) {
        $this->course->LlenarCursos();
        return $this->course->ListarPreCursos($patron);
    }

    function getDscCursos($courseid) {
        return $this->course->getDscCursos($courseid);
    }

    function getPreCursos($courseid) {
        return $this->course->getPreCursos($courseid);
    }

    function UpdateDscCursos($courseid, $obje, $cont, $diri, $cert, $horas, $feci, $fect, $tipodiplo, $porcentaje, $nota, $tiempo) {
        return $this->course->UpdateDscCursos($courseid, $obje, $cont, $diri, $cert, $horas, $feci, $fect, $tipodiplo, $porcentaje, $nota, $tiempo);
    }

    function UpdatePreCursos($courseid, $shortname, $fullname, $cert, $horas, $feci, $fect) {
        return $this->course->UpdatePreCursos($courseid, $shortname, $fullname, $cert, $horas, $feci, $fect);
    }

    function InsertPreCursos($shortname, $fullname, $cert, $horas, $feci, $fect) {
        return $this->course->InsertPreCursos($shortname, $fullname, $cert, $horas, $feci, $fect);
    }

    // Configuraciones notas    
    function putConfigNota() {
        return $this->config->putConfigNota();
    }

    function updateAllNotasCurso($courseid) {
        return $this->config->updateAllNotasCurso($courseid);
    }

    function updateAllNotasAlumno($userid) {
        return $this->config->updateAllNotasAlumno($userid);
    }

    function GrabaFolio($userid, $courseid, $mod, $tipo) {
        $codigo = 0;
        $result = $this->course->GrabaFolio($userid, $courseid, $mod, $tipo);
        while ($fila = mysqli_fetch_assoc($result)) {
            $codigo = $fila["codigo"];
        }
        return $codigo;
    }

    function TraeFolio($userid, $courseid, $mod, $tipo) {
        $codigo = 0;
        $result = $this->course->TraeFolio($userid, $courseid, $mod, $tipo);
        while ($fila = mysqli_fetch_assoc($result)) {
            $codigo = $fila["folio"];
        }
        return $codigo;
    }

    function TraeDatosFolio($folio) {
        return $this->course->TraeDatosFolio($folio);
    }

    function TraeDiplomasRut($rut) {
        return $this->course->TraeDiplomasRut($rut);
    }

    // recursos
    function getRecursosCursos($courseid) {
        return $this->course->getRecursosCursos($courseid);
    }

    function InsertRecursoObl($cur, $modulecourse) {
        return $this->course->InsertRecursoObl($cur, $modulecourse);
    }

    function DeleteRecursoObl($cur, $modulecourse) {
        return $this->course->DeleteRecursoObl($cur, $modulecourse);
    }

    function ListaConfigNota($cur) {
        $this->config->putConfigNota();
        return $this->nota->ListaConfigNota($cur);
    }

    function SaveConfigNota($eid, $num, $esca, $pond) {

        return $this->nota->SaveConfigNota($eid, $num, $esca, $pond);
    }

    function getQuizCursos($courseid) {
        return $this->course->getQuizCursos($courseid);
    }

    function getReqQuiz($quizid, $courseid) {
        return $this->course->getReqQuiz($quizid, $courseid);
    }

    function InsertReqQuiz($quizid, $courseid, $modulecourse) {
        return $this->course->InsertReqQuiz($quizid, $courseid, $modulecourse);
    }

    function DeleteReqQuiz($quizid, $courseid, $modulecourse) {
        return $this->course->DeleteReqQuiz($quizid, $courseid, $modulecourse);
    }

    function BuscarAlumno($userid) {
        return $this->user->BuscarAlumno($userid);
    }

    function UpdateAlumno($user, $alu, $emp, $rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo_alu) {
        return $this->user->UpdateAlumno($user, $alu, $emp, $rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo_alu);
    }

    function go_inscription($user, $curso) {
        return $this->user->go_inscription($user, $curso);
    }
    
    function getCourseId($curso) {
        return $this->user->getCourseId($curso);
    }

    function del_inscription($user, $curso) {
        return $this->user->del_inscription($user, $curso);
    }

    function ListarPotenciales($courseid, $patron) {
        return $this->course->ListarPotenciales($courseid, $patron);
    }
    
    function ListarPotencialesJson($courseid, $patron) {
        return $this->course->ListarPotencialesJson($courseid, $patron);
    }

    function ListarMatriculados($courseid, $patron) {
        return $this->course->ListarMatriculados($courseid, $patron);
    }
    
    function ListarMatriculadosJson($courseid, $patron) {
        return $this->course->ListarMatriculadosJson($courseid, $patron);
    }

    function ListarAlumnosAll($courseid, $patron) {
        return $this->course->ListarAlumnosAll($courseid, $patron);
    }

    function jSonAlumnosEmp($rut_emp) {
        return $this->course->jSonAlumnosEmp($rut_emp);
    }

    function ListarCategoriasEmp($rut_emp) {
        return $this->course->Category_List_Emp($rut_emp);
    }

    function ListarCursosEmp($categoryid, $patron, $rut_emp) {
        return $this->course->Course_List_Emp($categoryid, $patron, $rut_emp);
    }

    function ListarAlumnosCursosEmp($categoryid, $courseid, $patron, $rut_emp) {
        $this->config->putConfigNota();
        $this->nota->updateGradeGradesCurso($courseid);
        $this->nota->updateQuizAttemptCurso($courseid);
        $this->nota->updateAllNotasCurso($courseid);
        $this->nota->getNotasFinales($courseid);
        return $this->course->Alumnos_Courses_Emp($categoryid, $courseid, $patron, $rut_emp);
    }

    // cursos sence
    function misCursosSence($userid) {
        return $this->user->misCursosSence($userid);
    }

    function asignaSence($userid, $courseid, $codigo, $rut_otec, $clave_otec) {
        return $this->user->asignaSence($userid, $courseid, $codigo, $rut_otec, $clave_otec);
    }

    function eliminaSence($userid, $courseid) {
        return $this->user->eliminaSence($userid, $courseid);
    }

    function UpdateDiploPreCurso($cur, $mod, $pdf) {
        return $this->course->UpdateDiploPreCurso($cur, $mod, $pdf);
    }

    // Seguimiento
    function ListarTipoSeg() {
        return $this->seg->ListarTipoSeg();
    }

    function BuscarTipoSeg($tipoid) {
        return $this->seg->BuscarTipoSeg($tipoid);
    }

    function InsertTipoSeg($nombre) {
        return $this->seg->InsertTipoSeg($nombre);
    }

    function UpdateTipoSeg($tipoid, $nombre) {
        return $this->seg->UpdateTipoSeg($tipoid, $nombre);
    }

    function DeleteTipoSeg($tipoid) {
        return $this->seg->DeleteTipoSeg($tipoid);
    }

    function SeguimientoUsuarioCurso($userid, $courseid) {
        return $this->seg->SeguimientoUsuarioCurso($userid, $courseid);
    }

    function InsertSeguimiento($userid, $courseid, $fecha, $tiposeg, $texto, $user_upd) {
        return $this->seg->InsertSeguimiento($userid, $courseid, $fecha, $tiposeg, $texto, $user_upd);
    }

    function UpdateSeguimiento($segid, $fecha, $tiposeg, $texto, $user_upd) {
        return $this->seg->UpdateSeguimiento($segid, $fecha, $tiposeg, $texto, $user_upd);
    }

    function BuscarSeguimiento($segid) {
        return $this->seg->BuscarSeguimiento($segid);
    }

    function DeleteSeguimiento($segid) {
        return $this->seg->DeleteSeguimiento($segid);
    }

    function ListarSegCursos($courseid) {
        return $this->seg->ListarSegCursos($courseid);
    }

    // Fin Seguimiento

    function NotaAlumno($userid, $courseid) {
        return $this->nota->NotaAlumno($userid, $courseid);
    }

    function NotaAlumnoPre($userid, $courseid) {
        return $this->nota->NotaAlumnoPre($userid, $courseid);
    }

    function NombreAlumno($userid) {
        return $this->nota->NombreAlumno($userid);
    }

    function MailAlumno($userid) {
        return $this->nota->MailAlumno($userid);
    }

    function NombreCurso($courseid) {
        return $this->nota->NombreCurso($courseid);
    }

    function NombreCursoPre($courseid) {
        return $this->nota->NombreCursoPre($courseid);
    }

    function UsernameAlumno($userid) {
        return $this->nota->UsernameAlumno($userid);
    }

    // Log Accesos
    function put_log_accesos($userid) {
        return $this->user->put_log_accesos($userid);
    }

    function AllAlumnosCurso($courseid) {
        return $this->course->AllAlumnosCurso($courseid);
    }

    function DatosAlumno($userid) {
        return $this->user->DatosAlumno($userid);
    }

    function DatosAlumnoRut($rut) {
        return $this->user->DatosAlumnoRut($rut);
    }

    function DatosUsuario($username) {
        return $this->user->DatosUsuario($username);
    }

    // log y detalle
    function LogRecursosCursos($userid, $courseid) {
        return $this->course->LogRecursosCursos($courseid, $userid);
    }

    // borrar notas - log

    function deleteNotasLog($tipo, $user, $cur) {
        $this->course->deleteNotasLog($tipo, $user, $cur);
        /*
          $this->config->putConfigNota();
          $this->nota->updateGradeGradesCurso($cur);
          $this->nota->updateQuizAttemptCurso($cur);
          $this->nota->updateAllNotasCurso($cur);
          $this->nota->getNotasFinales($cur);
         */

        $this->nota->RecalcularNotaCurso($cur);
        $this->course->TiempoMoodle($cur);

        return "";
    }

    function getPerfiles() {
        return $this->user->getPerfiles();
    }

    function AlumnoDelete($userid) {
        return $this->user->AlumnoDelete($userid);
    }

    function DeleteConfigNota($cur, $elem, $tipo) {
        return $this->nota->DeleteConfigNota($cur, $elem, $tipo);
    }

    function deleteLog($id, $user) {
        return $this->course->deleteLog($id, $user);
    }

    function deleteNota($id, $user) {
        $this->course->deleteNota($id, $user);
        $this->config->putConfigNota();
        $this->nota->updateGradeGradesAlumno($user);
        $this->nota->updateQuizAttemptAlumno($user);
        $this->nota->updateAllNotasAlumno($user);

        return $this->course->deleteNota($id, $user);
    }

    function RecalcularNotas($courseid) {
        /*
          $this->nota->updateQuizAttemptCurso($courseid);
          $this->nota->updateGradeGradesCurso($courseid);
          $this->nota->updateAllNotasCurso($courseid);
          $this->nota->getNotasFinales($courseid);
          $this->course->TiempoMoodle($courseid);
          $this->nota->InsertCursosRecalculo($courseid);
         */

        return "[]";
    }

    function VerificaHoraRecalculo() {
        return $this->nota->VerificaHoraRecalculo();
    }

    function ListarCursosRecalculo() {
        return $this->nota->ListarCursosRecalculo();
    }

    function InsertCursosRecalculo($courseid) {
        return $this->nota->InsertCursosRecalculo($courseid);
    }

    function RegistraLogMensaje($userid, $courseid, $para, $asunto, $cuerpo) {
        return $this->user->RegistraLogMensaje($userid, $courseid, $para, $asunto, $cuerpo);
    }

    // codigos sence
    function CodSenceList($patron) {
        return $this->sence->CodSenceList($patron);
    }

    function CodSenceBuscar($num) {
        return $this->sence->CodSenceBuscar($num);
    }

    function CodSenceDelete($num) {
        return $this->sence->CodSenceDelete($num);
    }

    function CodSenceInsert($dsc, $cod, $rut, $dv, $clave) {
        return $this->sence->CodSenceInsert($dsc, $cod, $rut, $dv, $clave);
    }

    function CodSenceUpdate($num, $dsc, $cod, $rut, $dv, $clave) {
        return $this->sence->CodSenceUpdate($num, $dsc, $cod, $rut, $dv, $clave);
    }

    function getRutEmpRRHH($userid) {
        return $this->user->getRutEmpRRHH($userid);
    }

    // empresas
    function ExisteUsuarioEmpresa($rut_emp) {
        $rs = $this->emp->ExisteUsuarioEmpresa($rut_emp);
        $empresaid = 0;
        while ($fila = mysqli_fetch_assoc($rs)) {
            $empresaid = $fila["empresaid"];
        }
        return $empresaid;
    }

    function getEmpresas($patron) {
        return $this->emp->Empresa_List($patron);
    }

    function BuscarEmpresa($empresaid) {
        return $this->emp->BuscarEmpresa($empresaid);
    }

    function UpdateEmpresa($empresaid, $rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_contacto, $ape_contacto, $email_contacto, $fono_contacto, $cargo_contacto) {
        return $this->emp->UpdateEmpresa($empresaid, $rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_contacto, $ape_contacto, $email_contacto, $fono_contacto, $cargo_contacto);
    }

    function MatriculaEmpresa($rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_cont, $ape_cont, $email_cont, $fono_cont, $cargo) {
        return $this->emp->MatriculaEmpresa($rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_cont, $ape_cont, $email_cont, $fono_cont, $cargo);
    }

    function InsertEmpresaEstado($num_estado, $rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_cont, $ape_cont, $email_cont, $fono_cont, $cargo, $obs, $emp_id, $userid, $estado) {
        return $this->emp->InsertEmpresaEstado($num_estado, $rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_cont, $ape_cont, $email_cont, $fono_cont, $cargo, $obs, $emp_id, $userid, $estado);
    }

    function ListarEmpresaEstado($num_estado) {
        return $this->emp->ListarEmpresaEstado($num_estado);
    }

    function ListarAlumnoEstado($num_estado) {
        return $this->user->ListarAlumnoEstado($num_estado);
    }

    // usuarios moodle
    function MatriculaAlumno($rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo, $rut_emp, $dv_emp) {
        return $this->user->MatriculaAlumno($rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo, $rut_emp, $dv_emp);
    }

    function CrearUsuarioMoodle($rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil) {
        $this->user->CrearUsuarioMoodle($rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil);
    }

    function CrearUsuarioMoodleNew($rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil, $rut_emp) {
        $this->user->CrearUsuarioMoodleNew($rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil, $rut_emp);
    }

    function getUsuariosPortal($patron) {
        return $this->user->getUsuariosPortal($patron);
    }

    function delUsuariosPortal($user) {
        return $this->user->delUsuariosPortal($user);
    }

    function jsonUsuariosPortal() {
        return $this->user->jsonUsuariosPortal();
    }

    function BuscarUsuario($user) {
        return $this->user->BuscarUsuario($user);
    }

    function UpdUsuarioMoodle($user, $rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil) {
        return $this->user->UpdUsuarioMoodle($user, $rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil);
    }

    function UpdUsuarioMoodleNew($user, $rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil) {
        return $this->user->UpdUsuarioMoodleNew($user, $rut, $dv, $psswd, $nom, $ape, $mail, $cargo, $perfil, $rut_emp);
    }

    // validaciones usuarios moodle
    function ExisteUsername($username) {
        return $this->user->ExisteUsername($username);
    }

    function ExisteEmail($email, $username) {
        return $this->user->ExisteEmail($email, $username);
    }

    function ExisteAlumno($rut_alu) {
        return $this->user->ExisteAlumno($rut_alu);
    }

    function getUserIDMoodleRut($rut) {
        $rs = $this->user->getUserIDMoodleRut($rut);
        $userid = 0;
        while ($fila = mysqli_fetch_assoc($rs)) {
            $userid = $fila["id"];
        }
        return $userid;
    }

    function getAlumnoIdRut($rut) {
        $rs = $this->user->getAlumnoIdRut($rut);
        $alumid = 0;
        while ($fila = mysqli_fetch_assoc($rs)) {
            $alumid = $fila["id"];
        }
        return $alumid;
    }

    function UpdEmpresaUpload($num, $empresaid, $userid) {
        $rs = $this->emp->UpdEmpresaUpload($num, $empresaid, $userid);
        while ($fila = mysqli_fetch_assoc($rs)) {
            $rut_emp = $fila["rut_empresa"];
            $dv_emp = $fila["dv_empresa"];
            $nom_emp = $fila["nom_empresa"];
            $ejecutivo = $fila["ejecutivo"];
            $nom_contacto = $fila["nom_contacto"];
            $ape_contacto = $fila["ape_contacto"];
            $email_contacto = $fila["email_contacto"];
            $fono_contacto = $fila["fono_contacto"];
            $cargo_contacto = $fila["cargo_contacto"];

            if ($this->ExisteEmail($email_contacto, $rut_emp)) {
                $email_contacto = $rut_emp . "@correo.cl";
            }

            $perfil = 99;

            if ($empresaid == "0") {
                $this->MatriculaEmpresa($rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_contacto, $ape_contacto, $email_contacto, $fono_contacto, $cargo_contacto);
            } else {
                $this->UpdateEmpresa($empresaid, $rut_emp, $dv_emp, $nom_emp, $ejecutivo, $nom_contacto, $ape_contacto, $email_contacto, $fono_contacto, $cargo_contacto);
            }

            if ($userid == "0") {
                $this->CrearUsuarioMoodle($rut_emp, $dv_emp, $rut_emp, $nom_emp, "", $email_contacto, $cargo_contacto, $perfil);
            } else {
                $this->UpdUsuarioMoodle($userid, $rut_emp, $dv_emp, $rut_emp, $nom_emp, "", $email_contacto, $cargo_contacto, $perfil);
            }
        }

        return $rs;
    }

    function InsertAlumnoEstado($num_estado, $rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo, $rut_emp, $dv_emp, $obs, $alum_id, $userid, $estado) {
        return $this->user->InsertAlumnoEstado($num_estado, $rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo, $rut_emp, $dv_emp, $obs, $alum_id, $userid, $estado);
    }

    function UpdAlumnoUpload($num_estado, $alumnoid, $userid) {
        $rs = $this->user->UpdAlumnoUpload($num_estado, $alumnoid, $userid);
        while ($fila = mysqli_fetch_assoc($rs)) {
            $rut_alu = $fila["rut_alumno"];
            $dv_alu = $fila["dv_alumno"];
            $nom_alu = $fila["nom_alumno"];
            $ape_alu = $fila["ape_alumno"];
            $email_alu = $fila["email_alumno"];
            $fono_alu = $fila["fono_alumno"];
            $cargo = $fila["cargo_alumno"];
            $rut_emp = $fila["rut_empresa"];
            $dv_emp = $fila["dv_empresa"];

            if ($this->ExisteEmail($email_alu, $rut_alu)) {
                $email_alu = $rut_alu . "@correo.cl";
            }

            $perfil = 5;
            $empresaid = $this->ExisteUsuarioEmpresa($rut_emp);

            if ($alumnoid == "0") {
                $this->MatriculaAlumno($rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo, $rut_emp, $dv_emp);
            } else {
                $this->UpdateAlumno($userid, $alumnoid, $empresaid, $rut_alu, $dv_alu, $nom_alu, $ape_alu, $email_alu, $fono_alu, $cargo);
            }

            if ($userid == "0") {
                $this->CrearUsuarioMoodle($rut_alu, $dv_alu, $rut_alu, $nom_alu, $ape_alu, $email_alu, $cargo, $perfil);
            } else {
                $this->UpdUsuarioMoodle($userid, $rut_alu, $dv_alu, $rut_alu, $nom_alu, $ape_alu, $email_alu, $cargo, $perfil);
            }
        }

        return $rs;
    }

}
?>

