<!doctype html>
<?php
session_start();

if (!isset($_SESSION["vco_active"])) {
    echo '<script>window.location="../paginas/logout.php";</script>';
}
?>
<html lang=''>
    <head>
        <meta charset='utf-8'>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>
            <?php
            include('../comunes/_parameters.php');
            echo $title;
            ?>
        </title>

        <link rel="shortcut icon" href="../img/favicon.ico" />

        <link href="../css/base.css" rel="stylesheet" /> 
        <link href="../css/master.css" rel="stylesheet" /> 
        <link href="../css/menu.css" rel="stylesheet" />  
        <link href="../css/bootstrap.css" rel="stylesheet" />
        <link href="../css/jquery-ui.min.css" rel="stylesheet" />

        <script text="text/javascript" src="../js/jquery-1.7.2.js"></script>
        <script text="text/javascript" src="../js/jquery-ui.min.js"></script>
        <script text="text/javascript" src="../js/json_parse.js"></script>
        <script text="text/javascript" src="../js/master.js"></script>
        <script text="text/javascript" src="../js/rutinas.js"></script>
        <script text="text/javascript">
            $(document).ready(function () {

                goDatePicker("#fecha_nacimiento");

                goExpRegulares();
                
                $("#reg_alu").change(function(){
                    FillProv("A");
                    FillCom("A");
                });
                
                $("#prov_alu").change(function(){
                    FillCom("A");
                });
                
                $("#reg_lab").change(function(){
                    FillProv("L");
                    FillCom("L");
                });
                
                $("#prov_lab").change(function(){
                    FillCom("L");
                });

            });
            
            function FormValidar(){
                var estado = true;
                var msg='';
                if($("#nom_alumno").val()==""){ estado=false;msg+="Debe ingresar nombres del alumno\n";}
                if($("#ape_alumno").val()==""){ estado=false;msg+="Debe ingresar apellidos del alumno\n";}
                if($("#fecha_nacimiento").val()==""){ estado=false;msg+="Debe ingresar fecha de nacimiento\n";}
                if($("#genero").val()==""){ estado=false;msg+="Debe ingresar genero del alumno\n";}
                
                if($("#email_alumno").val()==""){ estado=false;msg+="Debe ingresar email del alumno\n";}
                else{
                    if(!validarEmail($("#email_alumno").val())){
                        estado=false;msg+="formato email alumno incorrecto\n";
                    }
                }
                if($("#fono_fijo").val()==""){ estado=false;msg+="Debe ingresar fono fijo del alumno\n";}
                if($("#fono_movil").val()==""){ estado=false;msg+="Debe ingresar fono movil del alumno\n";}
                if($("#fono_laboral").val()==""){ estado=false;msg+="Debe ingresar fono laboral del alumno\n";}
                if($("#cargo_alumno").val()==""){ estado=false;msg+="Debe ingresar cargo del alumno\n";}
                if($("#profesion").val()==""){ estado=false;msg+="Debe ingresar profesion u oficio del alumno\n";}
                if($("#perfil_ocupacional").val()==""){ estado=false;msg+="Debe ingresar perfil ocupacional del alumno\n";}
                if($("#dir_alumno").val()==""){ estado=false;msg+="Debe ingresar direccion del alumno\n";}
                if($("#com_alumno").val()=="0"){ estado=false;msg+="Debe ingresar comuna del alumno\n";}
                
                if($("#email_jefatura").val()!=""){
                    if(!validarEmail($("#email_jefatura").val())){
                        estado=false;msg+="formato email jefatura incorrecto\n";
                    }
                }
                
                if(!estado){ alert(msg); }
                return estado;
            }
            
            
            function SubmitAlum(){
                if(FormValidar()){
                    document.getElementById("frm").submit();
                }
            }
            

            function FillProv(tipo) {
                var str = '';
                var reg = (tipo=="A")?$("#reg_alu").val():$("#reg_lab").val();
                $.ajax({
                    async: false,
                    type: "POST",
                    url: "../service/getRegProvCom.php",
                    data: {
                        opc: 2,
                        reg: reg
                    },
                    success: function (datos)
                    {
                        var oJson = json_parse(datos);
                        str += '<option value="0">Seleccione</option>';
                        $.each(oJson, function (i, item) {
                            str += '<option value="' + item.num + '">' + item.texto + '</option>';
                        });
                    },
                    complete: function(){
                        if(tipo=="A"){
                            $("#prov_alu").empty();
                            $("#prov_alu").append(str);
                        }else{
                            $("#prov_lab").empty();
                            $("#prov_lab").append(str);
                        }
                    }
                });
            }
            
            function FillCom(tipo) {
                var str = '';
                var reg = (tipo=="A")?$("#reg_alu").val():$("#reg_lab").val();
                var prov = (tipo=="A")?$("#prov_alu").val():$("#prov_lab").val();
                $.ajax({
                    async: false,
                    type: "POST",
                    url: "../service/getRegProvCom.php",
                    data: {
                        opc: 3,
                        reg: reg,
                        prov: prov
                    },
                    success: function (datos)
                    {
                        var oJson = json_parse(datos);
                        str += '<option value="0">Seleccione</option>';
                        $.each(oJson, function (i, item) {
                            str += '<option value="' + item.num + '">' + item.texto + '</option>';
                        });
                    },
                    complete: function(){
                        if(tipo=="A"){
                            $("#com_alumno").empty();
                            $("#com_alumno").append(str);
                        }else{
                            $("#com_laboral").empty();
                            $("#com_laboral").append(str);
                        }
                    }
                });
            }
        </script>

    </head>
    <body>

        <div id="divMaster">
            <div id="divTop">
                <?php include("../comunes/top.php"); ?>
            </div>
            <div id="divMenu">
                <?php include('./menuform.php'); ?>
            </div>	

            <div id="divContent">
                <div class="tituloPag">Actualice sus datos personales</div>
                <?php
                $param = array(
                    "userid" => "0",
                    "alumnoid" => "0",
                    "rut_alumno" => "",
                    "dv_alumno" => "",
                    "nom_alumno" => "",
                    "ape_alumno" => "",
                    "email_alumno" => ".cl",
                    "fono_alumno" => "",
                    "cargo_alumno" => "",
                    "empresaid" => "",
                    "fono_fijo" => "",
                    "fono_movil" => "",
                    "fono_laboral" => "",
                    "fecha_nacimiento" => "",
                    "genero" => "",
                    "profesion" => "",
                    "perfil_ocupacional" => "",
                    "nom_jefatura" => "",
                    "ape_jefatura" => "",
                    "fono_jefatura" => "",
                    "movil_jefatura" => "",
                    "email_jefatura" => "",
                    "dir_alumno" => "",
                    "com_alumno" => "",
                    "dir_laboral" => "",
                    "com_laboral" => ""
                );

                $com_alu = '';
                $prov_alu = '';
                $reg_alu = '';

                $com_lab = '';
                $prov_lab = '';
                $reg_lab = '';


                require_once('../class/alumnotools.class.php');
                $obj = new AlumnoTools();

                $rut = $_SESSION["username"];
                $result = $obj->DatosAlumnoForm($rut);
                while ($fila = mysqli_fetch_assoc($result)) {
                    $param["userid"] = $_SESSION["userid"];
                    $param["alumnoid"] = $fila["alumnoid"];
                    $param["rut_alumno"] = $fila["rut_alumno"];
                    $param["dv_alumno"] = $fila["dv_alumno"];
                    $param["empresaid"] = $fila["empresaid"];

                    $param["nom_alumno"] = $fila["nom_alumno"];
                    $param["ape_alumno"] = $fila["ape_alumno"];
                    $param["email_alumno"] = $fila["email_alumno"];
                    $param["fono_fijo"] = $fila["fono_fijo"];
                    $param["fono_movil"] = $fila["fono_movil"];
                    $param["fono_laboral"] = $fila["fono_laboral"];
                    $param["genero"] = $fila["genero"];

                    $param["fecha_nacimiento"] = $fila["fecha_nacimiento"];
                    $param["dir_alumno"] = $fila["dir_alumno"];
                    $param["com_alumno"] = $fila["com_alumno"];

                    $param["profesion"] = $fila["profesion"];
                    $param["cargo_alumno"] = $fila["cargo_alumno"];
                    $param["perfil_ocupacional"] = $fila["perfil_ocupacional"];

                    $param["nom_jefatura"] = $fila["nom_jefatura"];
                    $param["ape_jefatura"] = $fila["ape_jefatura"];
                    $param["fono_jefatura"] = $fila["fono_jefatura"];
                    $param["movil_jefatura"] = $fila["movil_jefatura"];
                    $param["email_jefatura"] = $fila["email_jefatura"];
                    $param["dir_laboral"] = $fila["dir_laboral"];
                    $param["com_laboral"] = $fila["com_laboral"];

                    $com_alu = $fila["com"];
                    $prov_alu = $fila["prov"];
                    $reg_alu = $fila["reg"];

                    $com_lab = $fila["com_lab"];
                    $prov_lab = $fila["prov_lab"];
                    $reg_lab = $fila["reg_lab"];
                }

                $rs_reg = $obj->ListarReg();
                $sltregion = '<option value="0">Seleccione</option>';
                while ($fila = mysqli_fetch_assoc($rs_reg)) {
                    $op = "";
                    if ($fila["num"] == $reg_alu) {
                        $op = "selected";
                    }
                    $sltregion.= '<option ' . $op . ' value="' . $fila["num"] . '">' . $fila["texto"] . '</option>';
                }

                $rs_prov = $obj->ListarProv($reg_alu);
                $sltprovincia = '<option value="0">Seleccione</option>';
                while ($fila = mysqli_fetch_assoc($rs_prov)) {
                    $op = "";
                    if ($fila["num"] == $prov_alu) {
                        $op = "selected";
                    }
                    $sltprovincia.= '<option ' . $op . ' value="' . $fila["num"] . '">' . $fila["texto"] . '</option>';
                }

                $rs_com = $obj->ListarCom($reg_alu, $prov_alu);
                $sltcomuna = '<option value="0">Seleccione</option>';
                while ($fila = mysqli_fetch_assoc($rs_com)) {
                    $op = "";
                    if ($fila["num"] == $com_alu) {
                        $op = "selected";
                    }
                    $sltcomuna.= '<option ' . $op . ' value="' . $fila["num"] . '">' . $fila["texto"] . '</option>';
                }

                $masc = "";
                if ($param["genero"] == "M") {
                    $masc = "selected";
                }
                $feme = "";
                if ($param["genero"] == "F") {
                    $feme = "selected";
                }
                $sltgenero = '<option value="">Seleccione</option>';
                $sltgenero.= '<option value="M" ' . $masc . '>Masculino</option>';
                $sltgenero.= '<option value="F" ' . $feme . '>Femenino</option>';


                $lab_reg = $obj->ListarReg();
                $sltregionlab = '<option value="0">Seleccione</option>';
                while ($fila = mysqli_fetch_assoc($lab_reg)) {
                    $op = "";
                    if ($fila["num"] == $reg_lab) {
                        $op = "selected";
                    }
                    $sltregionlab.= '<option ' . $op . ' value="' . $fila["num"] . '">' . $fila["texto"] . '</option>';
                }

                $lab_prov = $obj->ListarProv($reg_lab);
                $sltprovincialab = '<option value="0">Seleccione</option>';
                while ($fila = mysqli_fetch_assoc($lab_prov)) {
                    $op = "";
                    if ($fila["num"] == $prov_alu) {
                        $op = "selected";
                    }
                    $sltprovincialab.= '<option ' . $op . ' value="' . $fila["num"] . '">' . $fila["texto"] . '</option>';
                }

                $lab_com = $obj->ListarCom($reg_lab, $prov_lab);
                $sltcomunalab = '<option value="0">Seleccione</option>';
                while ($fila = mysqli_fetch_assoc($lab_com)) {
                    $op = "";
                    if ($fila["num"] == $com_lab) {
                        $op = "selected";
                    }
                    $sltcomunalab.= '<option ' . $op . ' value="' . $fila["num"] . '">' . $fila["texto"] . '</option>';
                }
                ?>

                <form id="frm" name="frm" method="post" action="updAlumnoForm.php">
                    <p><label class="obligado">(*)</label> datos obligatorios</p>
                    <table style="width: 90%;" class="table table-bordered">
                        <input type="hidden" id="userid" name="userid" value="<?php echo $param["userid"] ?>" />
                        <input type="hidden" id="alumnoid" name="alumnoid" value="<?php echo $param["alumnoid"] ?>" />
                        <input type="hidden" id="empresaid" name="empresaid" value="<?php echo $param["empresaid"] ?>" />
                        <input type="hidden" id="rut_alumno" name="rut_alumno" value="<?php echo $param["rut_alumno"] ?>" />
                        <input type="hidden" id="dv_alumno" name="dv_alumno" value="<?php echo $param["dv_alumno"] ?>" />

                        <tr>
                            <td style="width: 15%;">Nombres <label class="obligado">(*)</label></td>
                            <td style="width: 35%;">
                                <input class="form-control" type="text" id="nom_alumno" name="nom_alumno" value="<?php echo $param["nom_alumno"] ?>" />
                            </td>
                            <td style="width: 15%;">Apellidos <label class="obligado">(*)</label></td>
                            <td style="width: 35%;">
                                <input class="form-control" type="text" id="ape_alumno" name="ape_alumno" value="<?php echo $param["ape_alumno"] ?>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Fec. Nacimiento <label class="obligado">(*)</label></td>
                            <td>
                                <input class="form-control" type="text" id="fecha_nacimiento" name="fecha_nacimiento" value="<?php echo $param["fecha_nacimiento"] ?>" />
                            </td>
                            <td>Genero <label class="obligado">(*)</label></td>
                            <td>
                                <select class="form-control" id="genero" name="genero">
                                    <?php echo $sltgenero; ?>
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <td>Email <label class="obligado">(*)</label></td>
                            <td>
                                <input class="mail form-control" type="text" id="email_alumno" name="email_alumno" value="<?php echo $param["email_alumno"] ?>" />
                            </td>
                            <td>Fono fijo <label class="obligado">(*)</label></td>
                            <td>
                                <input class="fono form-control" type="text" id="fono_fijo" name="fono_fijo" value="<?php echo $param["fono_fijo"] ?>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Fono movil <label class="obligado">(*)</label></td>
                            <td>
                                <input class="fono form-control" type="text" id="fono_movil" name="fono_movil" value="<?php echo $param["fono_movil"] ?>" />
                            </td>
                            <td>Fono laboral <label class="obligado">(*)</label></td>
                            <td>
                                <input class="fono form-control" type="text" id="fono_laboral" name="fono_laboral" value="<?php echo $param["fono_laboral"] ?>" />
                            </td>
                        </tr>
                        
                        <tr>
                            <td>Cargo <label class="obligado">(*)</label></td>
                            <td>
                                <input class="form-control" type="text" id="cargo_alumno" name="cargo_alumno" value="<?php echo $param["cargo_alumno"] ?>" />
                            </td>
                            <td>Profesi&oacute;n <label class="obligado">(*)</label></td>
                            <td>
                                <input class="form-control" type="text" id="profesion" name="profesion" value="<?php echo $param["profesion"] ?>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Perfil ocupacional <label class="obligado">(*)</label></td>
                            <td>
                                <input class="form-control" type="text" id="perfil_ocupacional" name="perfil_ocupacional" value="<?php echo $param["perfil_ocupacional"] ?>" />
                            </td>
                            <td>Direcci&oacute;n <label class="obligado">(*)</label></td>
                            <td>
                                <input class="form-control" type="text" id="dir_alumno" name="dir_alumno" value="<?php echo $param["dir_alumno"] ?>" />
                            </td>
                        </tr>                        

                        <tr>
                            <td>Regi&oacute;n <label class="obligado">(*)</label></td>
                            <td>
                                <select class="form-control" id="reg_alu" name="reg_alu">
                                    <?php echo $sltregion; ?>
                                </select>
                            </td>
                            <td>Provincia <label class="obligado">(*)</label></td>
                            <td>
                                <select class="form-control" id="prov_alu" name="prov_alu">
                                    <?php echo $sltprovincia; ?>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>Comuna <label class="obligado">(*)</label></td>
                            <td colspan="3">
                                <select style="width: 40%;" class="form-control" id="com_alumno" name="com_alumno">
                                    <?php echo $sltcomuna; ?>
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="4" style="background-color: #efefef;"><b>Laboral</b></td>
                        </tr>
                        <tr>
                            <td>Nombres jefatura</td>
                            <td>
                                <input class="form-control" type="text" id="nom_jefatura" name="nom_jefatura" value="<?php echo $param["nom_jefatura"] ?>" />
                            </td>
                            <td>Apellidos jefatura</td>
                            <td>
                                <input class="form-control" type="text" id="ape_jefatura" name="ape_jefatura" value="<?php echo $param["ape_jefatura"] ?>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Fono fijo</td>
                            <td>
                                <input class="fono form-control" type="text" id="fono_jefatura" name="fono_jefatura" value="<?php echo $param["fono_jefatura"] ?>" />
                            </td>
                            <td>Fono movil</td>
                            <td>
                                <input class="fono form-control" type="text" id="movil_jefatura" name="movil_jefatura" value="<?php echo $param["movil_jefatura"] ?>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Email</td>
                            <td>
                                <input class="mail form-control" type="text" id="email_jefatura" name="email_jefatura" value="<?php echo $param["email_jefatura"] ?>" />
                            </td>
                            <td>Direcc&oacute;n</td>
                            <td>
                                <input class="form-control" type="text" id="dir_laboral" name="dir_laboral" value="<?php echo $param["dir_laboral"] ?>" />
                            </td>
                        </tr>

                        <tr>
                            <td>Regi&oacute;n</td>
                            <td>
                                <select class="form-control" id="reg_lab" name="reg_lab">
                                    <?php echo $sltregionlab; ?>
                                </select>
                            </td>
                            <td>Provincia</td>
                            <td>
                                <select class="form-control" id="prov_lab" name="prov_lab">
                                    <?php echo $sltprovincialab; ?>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>Comuna</td>
                            <td colspan="3">
                                <select style="width: 40%;" class="form-control" id="com_laboral" name="com_laboral">
                                    <?php echo $sltcomunalab; ?>
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="4">
                                <button type="button" class="btn btn-primary" aria-label="Left Align" onclick="SubmitAlum()">
                                    <span class="glyphicon glyphicon-saved" aria-hidden="true"></span> Grabar
                                </button>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>   
            <div id="divFooter">
                <?php
                include('../comunes/footer.php');
                ?>
            </div>
        </div>
    </body>
</html>
